import { LoginMockService } from './login.mock.service';
import { LoginController } from './login.controller';
import { Module } from '@nestjs/common';
import { KeycloakAuthenticationService } from './keycloak/keycloak.service';
import { LoginService } from './login.service';
import { HttpModule, HttpService  } from '@nestjs/axios';


@Module({
  imports: [HttpModule],
  controllers: [LoginController],
  providers: [ LoginMockService, LoginService,KeycloakAuthenticationService
  ],
})
export class LoginModule {}
