import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { JwtTokenExtract } from './jwt-auth-guard';

@Module({
  imports: [PassportModule.register({ defaultStrategy: 'jwt' })],
  providers: [JwtTokenExtract],
  exports: [PassportModule],
})
export class JwtAuthGuardModule {}

