import { Body, Controller, Logger, Post } from '@nestjs/common';
import { ApiOperation, ApiTags } from '@nestjs/swagger';
import { Organization } from '../manage-organizations/entity/organization.entity';
import { User } from '../manage-users/entity/user.entity';
import { Application } from './entity/application.entity';
import { IManageApplications } from './manage-applications.controller.interface';
/**
 *
 */
@ApiTags('manage-applications')
@Controller('v1')
export class ManageApplicationsController implements IManageApplications {
  private readonly logger = new Logger(ManageApplicationsController.name);

  /**
   * Create Application
   *
   * @param applicationName
   */
  @ApiOperation({ summary: 'Create Application' })
  @Post('manage-applications')
  createApplication(@Body() applicationName: string): Application {
    throw new Error('Method not implemented.');
  }

  /**
   * Create Application Owner and Application Organization
   *
   * @param organizationName
   * @param applicationOwnerUser
   */
  @ApiOperation({ summary: 'Create Application Owner and Organization' })
  @Post('launch-application')
  createApplicationOwner(
    organizationName: Organization,
    applicationOwnerUser: User,
    application: Application
  ): User {
    throw new Error('Method not implemented.');
  }
}
