import {
  REPORT_NAME,
  REPORT_TITLE,
  COLUMN_DEFINITIONS,
  GRID_ROW_DATA,
} from './mockdata/dynamic-report.mock.data';

import { Injectable } from '@nestjs/common';
import { IDynamicReportService } from './dynamic-report.service.interface';
import { DynamicReport } from './entity/dynamic-report.entity';

@Injectable()
export class DynamicReportMockService implements IDynamicReportService {
  getDynamicReport() {
    let dynamicReport = new DynamicReport();
    dynamicReport.recordName = REPORT_NAME;
    dynamicReport.reportTitle = REPORT_TITLE;
    dynamicReport.columnDefinitions = COLUMN_DEFINITIONS;
    dynamicReport.gridRowData = GRID_ROW_DATA;

    return dynamicReport;
  }
  getColumnDefinitions() {
    return COLUMN_DEFINITIONS;
  }
  getGridRowData() {
    return GRID_ROW_DATA;
  }
}
