export const ACCOUNT_MOCK = {
  iconUrl: 'layer',
  label: 'Accounts',
  types: [{
    uuid: '',
    label: 'Tree View',
    clickable: true,
    visible: true,
    type: 'tree',
    events: [{
      event: "GET",
      method: "fetchAPI",
      apiUrl: '/api/v1/tree-configurations',//Tree view configuration
      params: {
        getParams: [{
          key: 'userUUID',//Tree view configuration Params
        },
        ]
      }
    }],
  },
  {
    uuid: '',
    label: 'List View',
    apiUrl: '',
    clickable: true,
    visible: true,
    type: 'list',
    events: [{
      event: "GET",
      method: "fetchAPI",
      apiUrl: '',//List view configuration
      params: {
        getParams: [{
          key: 'accountUUID',//Tree view configuration params
        },
        ]
      }
    }],
  }
  ]

}
