/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import { ARROW_BREADCRUMB_OPTIONS, BASIC_BREADCRUMB_OPTIONS, BREADCRUMB_WITH_CONTROL_OPTIONS, CHANGE_BREADCRUMB_LINE_COLOR, CHANGE_BREADCRUMB_MARKER_ICON, CHANGE_BREADCRUMB_MARKER_LABEL, CHANGE_BREADCRUMB_MARKER_PATH_AND_COLOR, CHANGE_BREADCRUMB_START_END_MARKER_ICON, DASHED_BREADCRUMB_OPTIONS, EMPTY_GOOGLE_MAP_OPTIONS, MULTIPLE_BREADCRUMB_OPTIONS, MULTIPLE_POLYLINE_DATA, SINGLE_BREADCRUMB_OPTIONS, SINGLE_POLYLINE_DATA, START_END_MARKER_BREADCRUMB_OPTIONS, WITHOUT_BREADCRUMB_MARKER_LABEL, WITHOUT_LINE_BREADCRUMB_OPTIONS, WITHOUT_MARKER_BREADCRUMB_OPTIONS } from './breadcrumb-mock.data';

@Component({
  selector: 'hash8-app-breadcrumb-page',
  templateUrl: './breadcrumb-page.component.html',
  styleUrls: ['./breadcrumb-page.component.scss'],
})
export class BreadcrumbPageComponent implements OnInit {
  emptyGoogleMapOptions: google.maps.MapOptions = EMPTY_GOOGLE_MAP_OPTIONS;
  zoom = 11;
  center = { lat: 12.65200878556528, lng: 77.81727748427481 };

  singleBreadcrumbData = SINGLE_POLYLINE_DATA;
  multipleBreadcrumbData = MULTIPLE_POLYLINE_DATA;

  basicBreadcrumbOptions = BASIC_BREADCRUMB_OPTIONS;
  dashedBreadcrumbOptions = DASHED_BREADCRUMB_OPTIONS;
  arrowBreadcrumbOptions = ARROW_BREADCRUMB_OPTIONS;
  withoutMarkerBreadcrumbOptions = WITHOUT_MARKER_BREADCRUMB_OPTIONS;
  startEndMarkerBreadcrumbOptions = START_END_MARKER_BREADCRUMB_OPTIONS;
  withoutLineBreadcrumbOption = WITHOUT_LINE_BREADCRUMB_OPTIONS;
  changeBreadcrumbLineColor = CHANGE_BREADCRUMB_LINE_COLOR;
  changeBreadcrumbStartEndMarkerIcon = CHANGE_BREADCRUMB_START_END_MARKER_ICON;
  changeBreadcrumbMarkerIcon = CHANGE_BREADCRUMB_MARKER_ICON;
  withoutBreadcrumbMarkerLabel = WITHOUT_BREADCRUMB_MARKER_LABEL;
  changeBreadcrumbMarkerPathAndColor = CHANGE_BREADCRUMB_MARKER_PATH_AND_COLOR;
  changeBreadcrumbMarkerLabel = CHANGE_BREADCRUMB_MARKER_LABEL;
  breadcrumbWithControlOptions = BREADCRUMB_WITH_CONTROL_OPTIONS;
  
  singleBreadcrumbOptions = SINGLE_BREADCRUMB_OPTIONS;
  multipleBreadcrumbOptions = MULTIPLE_BREADCRUMB_OPTIONS;
  constructor() {}

  ngOnInit(): void {}

  getPolylineData($event: any) {
    console.log('BREADCRUMB LINE CLICKED',$event);
  }

  getMarkerData($event: any) {
    console.log('BREADCRUMB MARKER CLICKED',$event);
  }
 
}
