import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { BreadcrumbPageRoutingModule } from './breadcrumb-page-routing.module';
import { BreadcrumbPageComponent } from './breadcrumb-page.component';
import { GoogleMapsModule } from '@angular/google-maps';
import { CardModule } from '@hash8io/core-web/card';
import { TitleModule } from '@hash8io/core-web/title';
import { LayoutModule } from '@hash8io/core-web/layout';
import { BreadcrumbMapWebModule } from '@hash8io/breadcrumb-map-web';

@NgModule({
  declarations: [BreadcrumbPageComponent],
  imports: [
    CommonModule,
    BreadcrumbPageRoutingModule,
    GoogleMapsModule,
    BreadcrumbMapWebModule,
    CardModule,
    TitleModule,
    LayoutModule,
  ],
  exports: [BreadcrumbPageComponent],
})
export class BreadcrumbPageModule {}
