import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { CascadePageRoutingModule } from './cascade-page-routing.module';
import { CascadePageComponent } from './cascade-page.component';
import { SharedModule } from '@hash8io/core-web';
import { MatRadioModule } from '@angular/material/radio';
import { CascadeReportWebModule } from '@hash8io/cascade-report-web';
import { TitleModule } from '@hash8io/core-web/title';

@NgModule({
  declarations: [CascadePageComponent],
  imports: [
    CommonModule,
    CascadePageRoutingModule,
    SharedModule,
    CascadeReportWebModule,
    MatRadioModule,
    TitleModule,
  ],
  exports: [CascadePageComponent],
})
export class CascadePageModule {}
