/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import {
  LINE_CHART,
  lineChartWithCustomOptions,
  lineChartWithSparkline,
  barChartWithSparkline,
  barChart,
  barChartWithCustomOptions,
  barChartHorizontalWithStacked,
  areaChart,
  areaChartWithCustomOptions,
  pieChart,
  donutChart,
  radialBarChart,
  radialBarChartWithCustomOptions,
  polarAreaChart,
  radarChart,
  heatMapChart,
  scatterChart,
  treemapChart,
  treemapChartWithVariations,
  boxplotChart,
  candleStickChart,
  rangeAreaChart,
  rangeBarChart,
  rangeBarChartWithCustomOptions,
  apexAreaChart,
  apexPieChart,
  comboChartLineBar,
  comboChartBarArea,
  comboChartLineArea,
  comboChartLineColumn,
  emptyChart,
  deviceStateChart,
  tankLevelChart,
  barChartHorizontal,
  deviceStateChart2,
  sparklineChart1,
  sparklineChart2,
  sparklineChart3,
  sparklineChart4,
  sparklineChart5,
  linechart,
  barchart,
  areachart,
  piechart,
  sparklineChart12,
  sparklineChart11,
  LINE_CHART2,
} from './chart.mock';

@Component({
  selector: 'hash8-app-chart-page',
  templateUrl: './chart-page.component.html',
  styleUrls: ['./chart-page.component.scss'],
})
export class ChartPageComponent implements OnInit {
  layout: 'horizontal' | 'vertical' = 'horizontal';

  lineChart = LINE_CHART;
  lineChartWithCustomOptions = lineChartWithCustomOptions;

  barChart = barChart;
  barChartHorizontal = barChartHorizontal;
  barChartWithCustomOptions = barChartWithCustomOptions;
  barChartHorizontalWithStacked = barChartHorizontalWithStacked;
  // barChartWithCustomPlotOptions = barChartWithCustomPlotOptions;

  areaChart = areaChart;
  areaChartWithCustomOptions = areaChartWithCustomOptions;

  pieChart = pieChart;
  donutChart = donutChart;
  radialBarChart = radialBarChart;
  radialBarChartWithCustomOptions = radialBarChartWithCustomOptions;
  polarAreaChart = polarAreaChart;
  radarChart = radarChart;

  heatMapChart = heatMapChart;
  scatterChart = scatterChart;
  treemapChart = treemapChart;
  treemapChartWithVariations = treemapChartWithVariations;

  boxplotChart = boxplotChart;
  candleStickChart = candleStickChart;
  rangeAreaChart = rangeAreaChart;

  rangeBarChart = rangeBarChart;
  rangeBarChartWithCustomOptions = rangeBarChartWithCustomOptions;

  lineChartWithSparkline = lineChartWithSparkline;
  barChartWithSparkline = barChartWithSparkline;

  // Combo Chart
  comboChartLineArea = comboChartLineArea;
  comboChartLineBar = comboChartLineBar;
  comboChartLineColumn = comboChartLineColumn;
  comboChartBarArea = comboChartBarArea;

  // Empty Chart
  emptyChart = emptyChart;

  // Device State 
  deviceStateChart = deviceStateChart;

  // Tank vs level
  tankLevelChart = tankLevelChart;
  // APEX FORMAT
  apexAreaChart = apexAreaChart;
  apexPieChart = apexPieChart;

  // Sparkline
  sparklineChart1 = sparklineChart1;
  sparklineChart2 = sparklineChart2;
  sparklineChart3 = sparklineChart3;
  sparklineChart4 = sparklineChart4;
  sparklineChart5 = sparklineChart5;
  sparklineChart11 = sparklineChart11;
  sparklineChart12 = sparklineChart12;

  lineChartKPI = LINE_CHART;
  lineChartKPI2 = LINE_CHART2;

  deviceStateChart2 =deviceStateChart2;

  linechart = linechart;
  barchart = barchart;
  areachart = areachart;
  piechart = piechart;
  
  constructor() {}

  ngOnInit(): void {}

  getData($event: any){
    if($event.event == 'click'){
      console.log($event);
    }
    else {
      // 
    }
  }
 
}
