import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ComponentCreatorRoutingModule } from './component-creator-routing.module';
import { ComponentCreatorComponent } from './component-creator.component';
import { LayoutModule } from '@hash8io/core-web/layout';
import { SharedModule } from '@hash8io/core-web';
import { FormsWebModule } from '@hash8io/forms-web';
import { CardModule } from '@hash8io/core-web/card';
import { DataGridWebModule } from '@hash8io/data-grid-web';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { TitleModule } from '@hash8io/core-web/title';
import { ChartModule } from '@hash8io/chart-web/common';

@NgModule({
  declarations: [ComponentCreatorComponent],
  imports: [
    CommonModule,
    LayoutModule,
    SharedModule,
    FormsWebModule,
    CardModule,
    TitleModule,
    DataGridWebModule,
    DataReportWebModule,
    ComponentCreatorRoutingModule,
    ChartModule
  ],
  exports: [ComponentCreatorComponent],
})
export class ComponentCreatorModule {}
