import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DashboardRoutingModule } from './dashboard-routing.module';
import { DashboardComponent } from './dashboard.component';
import { SharedModule } from '@hash8io/core-web';
import { LayoutModule } from '@hash8io/core-web/layout';
import { TitleModule } from '@hash8io/core-web/title';
import { DialogWebModule } from '@hash8io/dialog-web';
import { FormsWebModule } from '@hash8io/forms-web';
import { CardModule } from '@hash8io/core-web/card';
import { DynamicContentWebModule } from '@hash8io/dynamic-content-web';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { ChartModule } from '@hash8io/chart-web/common';
import { MapWebModule } from '@hash8io/map-web';

@NgModule({
  declarations: [DashboardComponent],
  imports: [
    CommonModule,
    DashboardRoutingModule,
    DataReportWebModule,
    SharedModule,
    LayoutModule,
    TitleModule,
    DialogWebModule,
    FormsWebModule,
    CardModule,
    TitleModule,
    DynamicContentWebModule,
    ChartModule,
    MapWebModule,
  ],
  exports: [],
})
export class DashboardModule {}
