import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { DialogPageRoutingModule } from './dialog-page-routing.module';
import { DialogPageComponent } from './dialog-page.component';
import { TitleModule } from '@hash8io/core-web/title';
import { DialogWebModule } from '@hash8io/dialog-web';
import { SharedModule } from '@hash8io/core-web';
import { LayoutModule } from '@hash8io/core-web/layout';
import { CardModule } from '@hash8io/core-web/card';
import { LineChartModule } from '@hash8io/chart-web/line-chart';
import { ChartModule } from '@hash8io/chart-web/common';

@NgModule({
  declarations: [DialogPageComponent],
  imports: [
    CommonModule,
    DialogPageRoutingModule,
    SharedModule,
    CardModule,
    TitleModule,
    LayoutModule,
    DialogWebModule,
    LineChartModule,
    ChartModule
  ],
  exports: [DialogPageComponent],
})
export class DialogPageModule {}
