/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { Component, OnInit } from '@angular/core';
import { FormFields, FormModel } from '@hash8io/forms-web';
import {
  REGISTRATION_FORM,
  REGISTRATION_FORM2,
  STEPPER_FORM, LOGIN_FORM
} from './mock-data/login-form';

@Component({
  selector: 'hash8-app-login-form-page',
  templateUrl: './login-form-page.component.html',
  styleUrls: ['./login-form-page.component.scss'],
})
export class LoginFormPageComponent implements OnInit {
  model: any = {
    repeat_grid_type_3: [
      { name: 'Oil Change', name1: 'Oil Change' },
      { name: 'Air Filter', name1: 'Air Filter' },
      { name: 'Wiper blades replacement', name1: 'Wiper blades replacement' },
      { name: 'New tires', name1: 'New tires' },
      { name: 'Brake work', name1: 'Brake work' },
    ],
  };

  registration: FormModel = REGISTRATION_FORM;

  registration2: FormModel = REGISTRATION_FORM2;

  login: FormModel = LOGIN_FORM;

  stepper: FormModel = STEPPER_FORM;

  constructor() {}

  ngOnInit(): void {}
}
