import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MapViewComponent } from './map-view.component';
import { MapWebModule } from '@hash8io/map-web';
import { MapViewRoutingModule } from './map-view.routing.module';
import { TreeViewModule } from '@hash8io/tree-view-web';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import { SharedModule } from '@hash8io/core-web';
import { DataGridWebModule } from '@hash8io/data-grid-web';

@NgModule({
  imports: [
    CommonModule,
    MapWebModule,
    MapViewRoutingModule,
    TreeViewModule,
    MatButtonToggleModule,
    SharedModule,
    DataGridWebModule,
  ],
  declarations: [MapViewComponent],
  exports: [MapViewComponent],
})
export class MapViewModule {}
