import { CardModule } from '@hash8io/core-web/card';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ReportsPageRoutingModule } from './reports-page-routing.module';
import { ReportsPageComponent } from './reports-page.component';
import { SharedModule } from '@hash8io/core-web';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { TitleModule } from '@hash8io/core-web/title';
import { RawMessagesReportModule } from '@hash8io/device-messages-web/raw-messages-report';

@NgModule({
  declarations: [ReportsPageComponent],
  imports: [
    CommonModule,
    CardModule,
    ReportsPageRoutingModule,
    SharedModule,
    DataReportWebModule,
    TitleModule,
    RawMessagesReportModule
  ],
  exports: [ReportsPageComponent],
})
export class ReportsPageModule {}
