import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SnapshotPageRoutingModule } from './snapshot-page-routing.module';
import { Snapshot1Component } from './snapshot1/snapshot1.component';
import { Snapshot2Component } from './snapshot2/snapshot2.component';
import { Snapshot3Component } from './snapshot3/snapshot3.component';
import { SnapshotWebModule } from '@hash8io/snapshot-web';

@NgModule({
  declarations: [Snapshot1Component, Snapshot2Component, Snapshot3Component],
  imports: [CommonModule, SnapshotPageRoutingModule, SnapshotWebModule],
  exports: [Snapshot1Component, Snapshot2Component, Snapshot3Component],
})
export class SnapshotPageModule {}
