/* eslint-disable @typescript-eslint/no-inferrable-types */
import { Component, Input, OnInit } from '@angular/core';
import { colorVariables } from 'libs/data-grid-web/src/lib/variables/color-variables';

@Component({
  selector: 'hash8-app-tag',
  templateUrl: './tag.component.html',
  styleUrls: ['./tag.component.scss'],
})
export class TagComponent implements OnInit {
  @Input()
  type: string = 'tag';

  @Input()
  color!: any;

  @Input()
  value!: string | undefined;

  public bgColor!: any;

  constructor() {}

  ngOnInit(): void {
    this.bgColor = colorVariables[this.color]?.light;
    this.color = colorVariables[this.color]?.default;
  }
}
