import { Component, Input, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'hash8-app-tank-image',
  templateUrl: './tank-image.component.html',
  styleUrls: ['./tank-image.component.scss'],
})
export class TankImageComponent implements OnInit {
  @Input() tank!: any;

  tankShape = 'vertical';
  vertical: any;
  horizontal: any;
  verticalHeight: any;
  horizontalHeight: any;
  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    console.log(this.tank);
    this.tankShape = this.tank?.tankShape;
    this.vertical = this.tank?.percentageOfLiquidVolume
      ? (this.tank.percentageOfLiquidVolume * 80) / 100
      : null;
    this.horizontal = this.tank.percentageOfLiquidVolume
      ? (this.tank.percentageOfLiquidVolume * 92.5) / 100
      : null;
    const vh =
      this.vertical > 3 ? this.vertical : this.vertical == null ? 0 : 3;
    this.verticalHeight = vh > 80 ? `80%` : `${vh}%`;
    this.verticalHeight = vh > 80 ? `80%` : `20%`;

    console.log('Vertical height', this.verticalHeight);

    const hh =
      this.horizontal > 3 ? this.horizontal : this.horizontal == null ? 0 : 3;
    this.horizontalHeight = `${hh}%`;

    console.log(this.verticalHeight, this.horizontalHeight);

    // this.route.params.subscribe(params => {
    //   console.log("Tanks",tanks[0])
    //   this.tank = tanks.find(x => x.id == params['id']);
    // });
  }
}
