/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { Component, OnInit } from '@angular/core';
import { HIERARCHY_DATA_MOCK, TANK_STATUS_DATA_MOCK } from 'libs/data-report-web/src/lib/mock-data/report-data.mock';
import { of } from 'rxjs';
import { MOCK_LOOKUP } from '../mock-data-lookups/mock-lookup';
import { ALERTS_MY_SUBSCRIPTION_REPORT_CONFIG, Hierarchy_Mock } from './mock-data/tank-status';

@Component({
  selector: 'hash8-app-tank',
  templateUrl: './tank.component.html',
  styleUrls: ['./tank.component.scss'],
})
export class TankComponent implements OnInit {
  constructor() { }

  public columnDefinitions =
    TANK_STATUS_DATA_MOCK.data?.configurations?.columns;
  public gridRowData = TANK_STATUS_DATA_MOCK?.data?.rowData;


  hierarchyColumnDefs = HIERARCHY_DATA_MOCK?.data?.configurations?.columns;
  hierarchyRowData = HIERARCHY_DATA_MOCK?.data?.rowData
  hierarchyOptions = HIERARCHY_DATA_MOCK?.data?.configurations?.options


  config = ALERTS_MY_SUBSCRIPTION_REPORT_CONFIG;
  mockLookup = MOCK_LOOKUP;
  selectedMock = '';
  selectedMockKeys: string[] = [];

  ngOnInit(): void { }

  mockSelectionChange(event: any) {
    const mockObj = this.mockLookup.find((mock) => mock.value === event.value);
    const mockDataKeys = Object.keys(mockObj?.ref[0] || {});
    console.log(mockDataKeys);
    this.selectedMockKeys = mockDataKeys;
  }
}
