import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TankComponent } from './tank.component';
import { TankRoutingModule } from './tank-routing.module';
import { DataGridWebModule } from '@hash8io/data-grid-web';
import { CardModule } from '@hash8io/core-web/card';
import { FlexLayoutModule } from '@angular/flex-layout';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { LayoutModule } from '@hash8io/core-web/layout';
import { SharedModule } from '@hash8io/core-web';

@NgModule({
  declarations: [TankComponent],
  imports: [
    CommonModule,
    TankRoutingModule,
    DataGridWebModule,
    CardModule,
    FlexLayoutModule,
    DataReportWebModule,
    LayoutModule,
    SharedModule,
  ],
  exports: [TankComponent],
})
export class TankModule {}
