const { createGlobPatternsForDependencies } = require('@nrwl/angular/tailwind');
const { join } = require('path');
const sharedTailwindConfig = require('../../libs/core-web/src/assets/tailwind.preset');
const sharedGridTailwindConfig = require('../../libs/data-grid-web/src/lib/grid-styles/tailwind.preset')
// const sharedTailwindConfig = require('@hash8io/core-web/src/assets/tailwind.preset.js');

module.exports = {
  presets: [sharedTailwindConfig, sharedGridTailwindConfig],
  content: [
    join(__dirname, 'src/**/!(*.stories|*.spec).{ts,html}'),
    ...createGlobPatternsForDependencies(__dirname),
    'node_modules/@hash8io/**/*',
    'dist/**/*',
  ],
};
