#elastiIp.tf
#### elasticIp #######

##### natServer_elasticIp ####

resource "aws_eip" "natServer" {
  instance = aws_instance.natServer.id
  vpc      = true
  tags = {
    Name = "${var.natServer_elasticIp}"
  }
}



##### nginxServer_elasticIp ####

resource "aws_eip" "nginxServer" {
  instance = aws_instance.nginxServer.id
  vpc      = true
  tags = {
    Name = "${var.nginxServer_elasticIp}"
  }
}





##### customerGatewayServer_elasticIp ####

resource "aws_eip" "customerGatewayServer" {
  instance = aws_instance.customerGatewayServer.id
  vpc      = true
  tags = {
    Name = "${var.customerGatewayServer_elasticIp}"
  }
}
