import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { AppStoreSelectors } from '@hash8io/core-web';
@Component({
  selector: 'hash8-platform-login-header',
  templateUrl: './login-header.component.html',
  styleUrls: ['./login-header.component.scss'],
})
export class LoginHeaderComponent implements OnInit {
  branding!: Observable<any>;

  constructor(private store: Store) {}
  ngOnInit(): void {
    this.branding = this.store.select(AppStoreSelectors.selectBranding);
  }
}
