import { createFeatureSelector, createSelector } from '@ngrx/store';
// import { ApplicationState } from './state';

export const featureKey = 'application';

// export const selectFeature = (state: ApplicationState) => state;

export const selectFeature = createFeatureSelector<any>(featureKey);

// Branding
export const selectBranding = createSelector(
  selectFeature,
  (state: any) => state.branding
);

// Themes
export const selectTheme = createSelector(
  selectFeature,
  (state: any) => state.theme
);

// Side Navigation
export const selectNavigations = createSelector(
  selectFeature,
  (state: any) => state.navigationMenu
);

// Mega Menu
export const selectApprovedApplications = createSelector(
  selectFeature,
  (state: any) => state.approvedApplications
);

// User Profile
export const selectUserProfile = createSelector(
  selectFeature,
  (state: any) => state.userDetails
);

export const selectDevices = createSelector(
  selectFeature,
  (state: any) => state.devices
);

export const selectDisplayPreference = createSelector(
  selectFeature,
  (state: any) => state.userSettings
);

// Application Segments
export const selectApplicationSegments = createSelector(
  selectFeature,
  (state: any) => state.applicationSegments
);
export const selectLoginState = createSelector(
  selectFeature,
  (state: any) => state.loginState
);
