export interface BreadcrumbOptions {
  showBreadcrumb?: boolean;
  showMarker?: boolean;
  showStartAndEndLocationMarkerOnly?: boolean;
  controlOptions?: controlOptions;
  lineStyle?: string; // line | dashed | arrow
  lineColor?: any;
  showMarkerLabel?: boolean;
  startLocationMarkerIcon?: string;
  startLocationMarkerSVG?: any;
  startLocationMarkerSVGColor?: string;
  startLocationMarkerLabel?: label;

  startLocationMarkerStrokeWeight: number;
	startLocationMarkerStrokeOpacity: number;
	startLocationMarkerStrokeScale: number;

  middleLocationMarkerIcon?: string;
  middleLocationMarkerSVG?: any;
  middleLocationMarkerSVGColor?: string;
  middleLocationMarkerLabel?: label;

  middleLocationMarkerStrokeWeight: number;
	middleLocationMarkerStrokeOpacity: number;
	middleLocationMarkerStrokeScale: number;

  endLocationMarkerIcon?: string;
  endLocationMarkerSVG?: any;
  endLocationMarkerSVGColor?: string;
  endLocationMarkerLabel?: label;

  endLocationMarkerStrokeWeight: number;
	endLocationMarkerStrokeOpacity: number;
	endLocationMarkerStrokeScale: number;
}

export interface controlOptions {
  clickable?: boolean;
  draggable?: boolean;
  editable?: boolean;
  visible?: boolean;
}

export interface label {
  text: string;
  fontFamily: string;
  color?: string;
  fontSize?: string;
}
