import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HeadlessTabModule, SharedModule } from '@hash8io/core-web';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { CardModule } from '@hash8io/core-web/card';
import { CascadeReportWebComponent } from './cascade-report-web.component';
import { CascadeReportWebDataComponent } from './components/cascade-report-web-data/cascade-report-web-data.component';
import { TitleModule } from '@hash8io/core-web/title';

@NgModule({
  declarations: [CascadeReportWebComponent, CascadeReportWebDataComponent],
  imports: [
    CommonModule,
    SharedModule,
    DataReportWebModule,
    CardModule,
    HeadlessTabModule,
    TitleModule,
  ],
  exports: [CascadeReportWebComponent, CascadeReportWebDataComponent],
})
export class CascadeReportWebModule {}
