import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BoxPlotChartComponent } from './box-plot-chart.component';
import { NgApexchartsModule } from 'ng-apexcharts';
import { ChartFooterModule, ChartHeaderModule } from '@hash8io/chart-web';

@NgModule({
  imports: [CommonModule, NgApexchartsModule,ChartHeaderModule,ChartFooterModule],
  declarations: [BoxPlotChartComponent],
  exports: [BoxPlotChartComponent],
})
export class BoxPlotChartModule {}
