import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RangeAreaChartComponent } from './range-area-chart.component';
import { NgApexchartsModule } from 'ng-apexcharts';
import { ChartFooterModule, ChartHeaderModule } from '@hash8io/chart-web';

@NgModule({
  imports: [CommonModule, NgApexchartsModule,ChartHeaderModule,ChartFooterModule],
  declarations: [RangeAreaChartComponent],
  exports: [RangeAreaChartComponent],
})
export class RangeAreaChartModule {}
