import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RangeBarChartComponent } from './range-bar-chart.component';
import { NgApexchartsModule } from 'ng-apexcharts';
import { ChartFooterModule, ChartHeaderModule } from '@hash8io/chart-web';

@NgModule({
  imports: [CommonModule, NgApexchartsModule,ChartHeaderModule,ChartFooterModule],
  declarations: [RangeBarChartComponent],
  exports: [RangeBarChartComponent],
})
export class RangeBarChartModule {}
