import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Route } from '@angular/router';
import { NgApexchartsModule } from 'ng-apexcharts';
import { ChartHeaderModule } from './components/chart-header/chart-header.module';
import { ChartFooterModule } from './components/chart-footer/chart-footer.module';

// import { AreaChartModule } from '../../area-chart/src/lib/area-chart.module';

export const chartWebRoutes: Route[] = [];

@NgModule({
  imports: [
    CommonModule,
    RouterModule,
    NgApexchartsModule,
    ChartHeaderModule,
    ChartFooterModule,
    // AreaChartModule
  ],
  declarations: [],
  exports: [ChartHeaderModule,ChartFooterModule],
})
export class ChartWebModule {}
