import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class CommandsWebService {

  constructor(private http: HttpClient) { }

  authenticationToken = localStorage.getItem('access_token');

  headers = new HttpHeaders({
    'Content-Type': 'application/json',
    Authorization: 'Bearer ' + this.authenticationToken,
  });

  getData(apiEndPoint: any) {
    return this.http.get(apiEndPoint, { headers: this.headers }).pipe((response: any) => {
      return response
    })

  }

  getCommandsConfiguration(apiEndPoint: any) {
    const callOptions = {
      // params: queryParams,
      headers: new HttpHeaders({
        'Content-Type': 'application/json',
        Authorization: 'Bearer ' + this.authenticationToken,
      }),
    };
    return this.http.get(apiEndPoint, callOptions).pipe((response: any) => {
      return response
    })

  }


}
