import { createReducer, on } from '@ngrx/store';
import * as Actions from './actions';
import { initialState } from './state';

export const commandsReducer = createReducer(
  initialState,


  on(Actions.RELOAD_COMMANDS, (state: any, { commands }) => {
    return {
      ...state,
      commands: {
        ...commands
      }
    };
  }),

  // on(Actions.ADD_COMMANDS, (state: any, { data }) => ({
  //   ...state,
  // }))
);
