import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'hash8-platform-alert-panel',
  templateUrl: './alert-panel.component.html',
  styleUrls: ['./alert-panel.component.scss']
})
export class AlertPanelComponent implements OnInit {

  // constructor() { }
  @Input() label!: any | undefined;
  @Input() iconUrl!: string | undefined;
  @Input() iconColor!: string
  @Input() color!: string;
  @Input() iconSize: 'default' | 'xl' = 'default';
  @Input() tooltip = '';
  @Input() config: any;
  properties: any;

  ngOnInit() {
    this.color = "";

    this.config?.subscribe((data: any) => {
      // this.label = data.alertPanel.label;
      // this.iconColor = data.alertPanel.iconColor;
      // this.iconSize = data.alertPanel.iconSize;
      // this.color = data.alertPanel.color
      // this.tooltip = data.alertPanel.tooltip;
      this.properties = data.alertPanel;


    })



    // if (this.config) {
    //   this.label = this.config.label;
    //   this.iconColor = this.config.iconColor;
    //   this.iconSize = this.config.iconSize;
    //   this.color = this.config.color
    //   this.tooltip = this.config.tooltip;
    // }


  }



}
