/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, Input, OnInit, ViewEncapsulation } from '@angular/core';
import { Observable } from 'rxjs';

@Component({
  selector: 'hash8-platform-app-brand',
  templateUrl: './app-brand.component.html',
  styleUrls: ['./app-brand.component.scss'],
  encapsulation: ViewEncapsulation.None,
})
export class AppBrandComponent implements OnInit {
  @Input() brand!: Observable<any>;
  @Input() showShortName: boolean = false;
  @Input() showImageLogo!: boolean;
  @Input() size: 'default' | 'lg' | 'xl' = 'default';
  @Input() showTitle: boolean = false;
  @Input() mode!: any;
  @Input() static!: string;
  @Input() style!: any;

  brandName!: string;
  imageLogo!: any;

  constructor() {}

  ngOnInit(): void {
    this.brand.subscribe((brand) => {
      this.showImageLogo = brand?.showImageLogo;
      this.brandName = brand?.applicationName;
      if (this.showShortName) {
        this.brandName = brand?.applicationShortName;
      }
      this.imageLogo = brand;
    });
  }
}
