/* eslint-disable @typescript-eslint/no-inferrable-types */
import { Component, Input, OnInit } from '@angular/core';
import { Model } from '@hash8io/core-web';

@Component({
  selector: 'hash8-platform-card',
  templateUrl: './card.component.html',
  styleUrls: ['./card.component.scss'],
})
export class CardComponent {
  @Input() header!: Model.Toolbar;
  @Input() showHeader: boolean = false;
  @Input() hasHeaderBorder: boolean = false;

  @Input() footer!: any;
  @Input() showFooter: boolean = false;

  constructor() {
    //
  }
}
