import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CardComponent } from './card.component';
import { CardHeaderComponent } from './components/card-header/card-header.component';
import { CardFooterComponent } from './components/card-footer/card-footer.component';
import { TitleModule } from '@hash8io/core-web/title';
import { CtaButtonModule } from '@hash8io/core-web/cta-button';
import { SharedModule } from '@hash8io/core-web';

@NgModule({
  imports: [CommonModule, SharedModule, TitleModule, CtaButtonModule],
  declarations: [CardComponent, CardHeaderComponent, CardFooterComponent],
  exports: [CardComponent, CardHeaderComponent, CardFooterComponent],
})
export class CardModule {}
