import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DarkModeTogglerComponent } from './dark-mode-toggler.component';
import { FormsModule } from '@angular/forms';
import { SharedModule } from '@hash8io/core-web';

@NgModule({
  declarations: [DarkModeTogglerComponent],
  imports: [CommonModule, FormsModule, SharedModule],
  exports: [DarkModeTogglerComponent],
})
export class DarkModeTogglerModule {}
