import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'hash8-platform-label',
  templateUrl: './label.component.html',
  styleUrls: ['./label.component.scss']
})
export class LabelComponent implements OnInit {

  @Input() color !: any;
  @Input() label !: any;

  @Input() defaultColor !: any;
  @Input() options !: any;

  bgColor !: string;

  constructor() {
    //
  }

  // eslint-disable-next-line @angular-eslint/no-empty-lifecycle-method
  ngOnInit(): void {
    //
    if (this.options) {
      this.options?.forEach((x: any) => {
        if (
          (this.label + '')?.toLowerCase() ===
          ((x?.value + '')?.toLowerCase() || (x?.label + '')?.toLowerCase())) {
          this.label = x.label;
          this.color = x.color;
        }
      });
    }
    if (!this.color) {
      this.color = this.defaultColor
    }
  }

}
