/* eslint-disable @nrwl/nx/enforce-module-boundaries */
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from '@hash8io/core-web';
import { PortalModule } from '@angular/cdk/portal';
import { AppHeaderModule } from '@hash8io/core-web/app-header';
import { AppLayoutComponent } from './components/app-layout/app-layout.component';
import { LoginLayoutComponent } from './components/login-layout/login-layout.component';
import { TileLayoutComponent } from './components/tile-layout/tile-layout.component';
// import { SharedModule } from './../../../src/lib/shared/shared.module';
import { LoadingBarLibraryModule } from '@hash8io/core-web/loading-bar'
@NgModule({
  declarations: [AppLayoutComponent, LoginLayoutComponent, TileLayoutComponent],
  imports: [
    CommonModule,
    PortalModule,
    RouterModule,
    SharedModule,
    AppHeaderModule,
    LoadingBarLibraryModule,
  ],
  exports: [AppLayoutComponent, LoginLayoutComponent, TileLayoutComponent],
})
export class LayoutModule {}
