export const APP_LAYOUT_GRID_CONFIG = {
  default: {
    xl: {
      areas:
        'banner banner | sidebar header | sidebar toolbar | sidebar content | sidebar footer',
      gap: '0px',
      rows: 'auto 52px 0px 1fr 36px',
      columns: 'minmax(auto, 240px) 1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    lg: {
      areas:
        'banner banner | sidebar header | sidebar toolbar | sidebar content | sidebar footer',
      gap: '0px',
      rows: 'auto 52px 0px 1fr 36px',
      columns: 'minmax(auto, 240px) 1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    md: {
      areas:
        'banner banner |  sidebar header | sidebar toolbar | sidebar content | sidebar footer',
      gap: '0px',
      rows: 'auto 52px 0px 1fr 36px',
      columns: '240px 1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    sm: {
      areas:
        'banner banner banner |  sidebar header header | sidebar toolbar toolbar  | sidebar content content | sidebar footer footer',
      gap: '0px',
      rows: 'auto 52px 0px 1fr 36px',
      columns: '52px 1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    xs: {
      areas:
        'banner banner | header header | toolbar toolbar| sidebar sidebar | content content | footer footer',
      gap: '0px',
      rows: 'auto 52px 0px 0 1fr 36px',
      columns: '1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
  },
};
