import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NotificationPanelComponent } from './notification-panel.component';
import { SharedModule } from '@hash8io/core-web';
import { MatIconModule } from '@angular/material/icon';

@NgModule({
  declarations: [NotificationPanelComponent],
  imports: [CommonModule, SharedModule, MatIconModule],
  exports: [NotificationPanelComponent],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
})
export class NotificationPanelModule { }
