export const NAVIGATIONS = [
  {
    id: '1',
    type: 'link',
    label: 'Dashboard',
    icon: 'layers',
    urlPath: 'dashboard',
  },
  {
    id: '2',
    type: 'link',
    label: 'Assets',
    icon: 'oil_barrel',
    urlPath: 'tanks',
  },
  {
    id: '3',
    type: 'link',
    label: 'Geofences',
    icon: 'place',
    urlPath: 'geofences',
  },
  {
    id: '4',
    type: 'dropdown',
    label: 'Reports',
    icon: 'assessment',
    urlPath: 'reports',
    children: [
      {
        id: '1',
        type: 'link',
        label: 'Trip Report',
        // icon: 'folder_shared',
        urlPath: 'organization',
        children: [],
      },
      {
        id: '2',
        type: 'link',
        label: 'Location Report',
        // icon: 'account_box',
        urlPath: 'accounts',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'Temperature Report',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'TIR Report',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'Fill Report',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'Discharge Report',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'Alarm Report',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'Notifcation Report',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'Raw Message Report',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'Decoded Report',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
    ],
  },
  {
    id: '5',
    type: 'dropdown',
    label: 'Administration',
    icon: 'account_box',
    urlPath: 'dashboard',
    children: [
      {
        id: '1',
        type: 'link',
        label: 'Organization',
        // icon: 'folder_shared',
        urlPath: 'organization',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'Accounts',
        // icon: 'account_box',
        urlPath: 'accounts',
        children: [],
      },
      {
        id: '4',
        type: 'link',
        label: 'Assets',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
      {
        id: '5',
        type: 'link',
        label: 'Users',
        // icon: 'account_circle',
        urlPath: 'users',
        children: [],
      },
      {
        id: '2',
        type: 'link',
        label: 'Devices',
        // icon: 'folder_shared',
        urlPath: 'organization',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'Asset Share',
        // icon: 'account_box',
        urlPath: 'accounts',
        children: [],
      },
      {
        id: '4',
        type: 'link',
        label: 'ACP',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
      {
        id: '5',
        type: 'link',
        label: 'Settings',
        // icon: 'account_circle',
        urlPath: 'users',
        children: [],
      },
    ],
  },

  {
    id: '4',
    type: 'heading',
    label: 'Application Management',
    icon: 'grid_view',
  },
  {
    id: '5',
    type: 'link',
    label: 'Application Roles',
    icon: 'manage_accounts',
    urlPath: 'application-roles',
  },
  {
    id: '2',
    type: 'link',
    label: 'Report Creator',
    icon: 'folder_shared',
    urlPath: 'organization',
    children: [],
  },
  {
    id: '3',
    type: 'dropdown',
    label: 'Entities',
    icon: 'folder_shared',
    urlPath: 'accounts',
    children: [
      {
        id: '1',
        type: 'link',
        label: 'Organization',
        // icon: 'folder_shared',
        urlPath: 'organization',
        children: [],
      },
      {
        id: '3',
        type: 'link',
        label: 'Accounts',
        // icon: 'account_box',
        urlPath: 'accounts',
        children: [],
      },
      {
        id: '4',
        type: 'link',
        label: 'Assets',
        // icon: 'local_shipping',
        urlPath: 'vehicles',
        children: [],
      },
      {
        id: '5',
        type: 'link',
        label: 'Users',
        // icon: 'account_circle',
        urlPath: 'users',
        children: [],
      },
      {
        id: '2',
        type: 'link',
        label: 'Devices',
        // icon: 'folder_shared',
        urlPath: 'organization',
        children: [],
      },
    ],
  },
];
