import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from './shared/shared.module';
import { ColorPipe } from './pipes/color/color.pipe';

@NgModule({
  imports: [CommonModule, SharedModule],
  exports: [SharedModule, ColorPipe],
  declarations: [
    ColorPipe,

  ],
})
export class CoreWebModule { }
