import { Pipe, PipeTransform } from '@angular/core';
import { ColorService } from '../../services/color/color.service';

@Pipe({
  name: 'backgroundColor',
  standalone: true,
})
export class BackgroundColorPipe implements PipeTransform {
  constructor(private colorService: ColorService) {}

  transform(color: any): string {
    return this.colorService.getBackgroundColorBasedOnContrast(color);
  }
}
