import { Component, Input, OnInit } from '@angular/core';
import { ICellRendererAngularComp } from 'ag-grid-angular';
import { ICellRendererParams } from 'ag-grid-community';

@Component({
  selector: 'hash8-platform-grid-checkbox',
  templateUrl: './grid-checkbox.component.html',
  styleUrls: ['./grid-checkbox.component.scss']
})
export class GridCheckboxComponent implements ICellRendererAngularComp {

  @Input() isChecked !: any;

  constructor() { }
  ngOnInit(): void {
  }
  agInit(params: ICellRendererParams<any, any>): void {
    this.isChecked = params?.value
  }
  refresh(params: ICellRendererParams<any, any>): any {
    //
  }



}
