import { ColDef } from 'ag-grid-enterprise';
import { Model } from '@hash8io/core-web';

export interface NewColumnDef extends ColDef {
  colId?: string;
  // filter?: any;
  headerCheckboxSelection?: any;
  checkboxSelection?: any;
  hide?: boolean;
  sortable?: boolean;
  field?: string;
  headerName?: string;
  enableRowGroup?: boolean;
  pivot?: boolean;
  fieldType?:
  | 'string'
  | 'number'
  | 'date'
  | 'boolean'
  | 'link'
  | 'tag'
  | 'currency'
  | 'phoneNumber'
  | 'percentage'
  | 'image'
  | 'progress'
  | 'button'
  | 'actions'
  | 'state'
  | 'custom';
  cellRendererParams?: {
    fieldType?: string
    showLabel?: boolean
    defaultColor?: string
    defaultIconUrl?: string
    defaultIconColor?: string
    defaultIconSize?: string;
    defaultIconType1?: string;
    defaultIconType2?: string;
    stroked?: boolean
    columnData?: boolean
    default?: {
      iconUrl?: string
      iconColor?: string
    }
    colorExpression?: string
    options?: any
  };
}
