import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DecodedMessagesReportComponent } from './components/decoded-messages-report/decoded-messages-report.component';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { TitleModule } from '@hash8io/core-web/title';
import { RouterModule } from '@angular/router';

@NgModule({
  imports: [
    CommonModule,
    DataReportWebModule,
    RouterModule.forChild([
      {
        path: '',
        pathMatch: 'full',
        component: DecodedMessagesReportComponent,
      },
    ]),
    TitleModule,
  ],
  declarations: [DecodedMessagesReportComponent],
  exports: [DecodedMessagesReportComponent],
})
export class DecodedMessagesReportModule {}
