import { Component, Input } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'hash8-platform-raw-messages-report',
  templateUrl: './raw-messages-report.component.html',
  styleUrls: ['./raw-messages-report.component.scss'],
})
export class RawMessagesReportComponent {
  @Input() gridConfig: any;

  constructor(private route: ActivatedRoute) {
    this.route.data.subscribe((data) => {
      this.gridConfig = data['gridConfig']
    });
  }
}
