import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RawMessagesReportComponent } from './components/raw-messages-report/raw-messages-report.component';
import { DataReportWebModule } from '@hash8io/data-report-web';
import { TitleModule } from '@hash8io/core-web/title';
import { RouterModule } from '@angular/router';

@NgModule({
  imports: [
    CommonModule,
    DataReportWebModule,
    RouterModule.forChild([
      {
        path: '',
        pathMatch: 'full',
        component: RawMessagesReportComponent,
      },
    ]),
    TitleModule,
  ],
  declarations: [RawMessagesReportComponent],
  exports: [RawMessagesReportComponent],
})
export class RawMessagesReportModule {}
