import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DialogWebComponent } from './dialog-web.component';
import { TitleModule } from '@hash8io/core-web/title';
import { SharedModule } from '@hash8io/core-web';
import { DynamicContentWebModule } from '@hash8io/dynamic-content-web';
import { DynamicModule, DynamicIoModule } from 'ng-dynamic-component';
import { DialogStoreModule } from './store';

@NgModule({
  imports: [
    CommonModule,
    TitleModule,
    SharedModule,
    DynamicContentWebModule,
    DynamicModule,
    DynamicIoModule,
    DialogStoreModule,
  ],
  declarations: [DialogWebComponent],
  exports: [DialogWebComponent],
})
export class DialogWebModule {}
