import { createAction, props } from '@ngrx/store';

// Open Dialog
export const OPEN_DAILOG = createAction(
  '[Dialog] Open dialog',
  props<{ dialog: any }>()
);

// Close Dialog
export const CLOSE_DIALOG = createAction(
  '[Dialog] Close dialog',
  props<{ dialog: any }>()
);

// Add dialog
export const ADD_DIALOG = createAction(
  '[Dialog] Add dialog',
  props<{ dialog?: any }>()
);

// Remove dialog
export const REMOVE_DIALOG = createAction(
  '[Dialog] Remove dialog',
  props<{ dialog?: any }>()
);
