import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StoreModule } from '@ngrx/store';
import { featureKey } from './selectors';
import { dialogReducer } from './reducers';
import { EffectsModule } from '@ngrx/effects';
import { DialogStoreEffects } from './effects';

@NgModule({
  declarations: [],
  imports: [
    CommonModule,
    StoreModule.forFeature(featureKey, dialogReducer),
    EffectsModule.forFeature([DialogStoreEffects]),
  ],
  exports: [StoreModule],
})
export class DialogStoreModule {}
