import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DropdownWebComponent } from './dropdown-web.component';
import { SharedModule } from '@hash8io/core-web';
import { OverlayModule } from '@angular/cdk/overlay';
import { PortalModule } from '@angular/cdk/portal';
import { DynamicIoModule, DynamicModule } from 'ng-dynamic-component';
import { HierarchyModule } from '@hash8io/core-web/hierarchy';
import { TreeViewModule } from '@hash8io/tree-view-web';

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    OverlayModule,
    PortalModule,
    DynamicModule,
    DynamicIoModule,
    HierarchyModule,
    TreeViewModule.forRoot(),
  ],
  declarations: [DropdownWebComponent],
  exports: [DropdownWebComponent],
})
export class DropdownWebModule {}
