import { createFeatureSelector, createSelector } from '@ngrx/store';

export const featureKey = 'events';

export const selectFeature = createFeatureSelector<any>(featureKey);

export const selectName = createSelector(
  selectFeature,
  (state: any) => state.name
);

export const selectEvent = (eventName: any) =>
  createSelector(selectFeature, (state: any) => {
    return eventName ? state[eventName] : {};
  });
