/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @angular-eslint/component-class-suffix */
import { Component, OnInit, ViewChild } from '@angular/core';
import { MatInput } from '@angular/material/input';
import { FieldType } from '@ngx-formly/core';
import { FormFieldTypeConfig } from '../../../models/forms.model';

@Component({
  selector: 'hash8-platform-odometer',
  templateUrl: './odometer.type.html',
  styleUrls: ['./odometer.type.scss'],
})
export class OdometerType
  extends FieldType<FormFieldTypeConfig>
  implements OnInit
{
  @ViewChild(MatInput) formFieldControl!: MatInput;

  constructor() {
    super();
  }

  ngOnInit(): void {}

  get type() {
    return this.props.type ?? 'text';
  }

  get mask() {
    return this.props['mask'] ?? 'separator.0';
  }

  get prefix() {
    return this.props['prefix'] ?? '';
  }

  get suffix() {
    return this.props['suffix'] ?? ' mi';
  }

  get align() {
    return this.props['align'] ?? 'column';
  }

  get separator() {
    return this.props['separator'] ?? '';
  }
}
