/* eslint-disable @angular-eslint/component-class-suffix */
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, Input, OnInit, ViewChild } from '@angular/core';
import { MatInput } from '@angular/material/input';
import { FieldType, FieldTypeConfig } from '@ngx-formly/core';

@Component({
  selector: 'hash8-platform-password',
  templateUrl: './password.type.html',
  styleUrls: ['./password.type.scss'],
})
export class PasswordType extends FieldType<FieldTypeConfig> implements OnInit {
  showPassword = false;
  @Input() override field: any;
  @ViewChild(MatInput) formFieldControl!: MatInput;

  constructor() {
    super();
  }

  ngOnInit(): void {}

  //Update Field State To show Error while Typing
  onChange(event: any) {
    this.field.formControl.markAsTouched();
  }

  public togglePasswordShown() {
    this.showPassword = !this.showPassword;
  }

  get type() {
    return this.props.type ?? 'password';
  }

  get mask() {
    return this.props['mask'] ?? '';
  }

  get prefix() {
    return this.props['prefix'] ?? '';
  }

  get align() {
    return this.props['align'] ?? 'column';
  }
  get suffix() {
    return this.props['suffix'] ?? '';
  }

  get separator() {
    return this.props['separator'] ?? '';
  }
}
