/* eslint-disable @angular-eslint/component-class-suffix */
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import { FieldType } from '@ngx-formly/core';
import { FormFieldTypeConfig } from '../../../models/forms.model';

@Component({
  selector: 'hash8-platform-textbox-validator-async',
  templateUrl: './textbox-validator-async.type.html',
  styleUrls: ['./textbox-validator-async.type.scss'],
})
export class TextboxValidatorAsyncType
  extends FieldType<FormFieldTypeConfig>
  implements OnInit
{
  constructor() {
    super();
  }

  ngOnInit(): void {}

  //Update Field State To show Error while Typing
  onChange(event: any) {
    this.field.formControl.markAsTouched();
  }

  get type() {
    return this.props.type ?? 'text';
  }

  get mask() {
    return this.props['mask'] ?? '';
  }

  get suffix() {
    return this.props['suffix'] ?? ' mi';
  }

  get align() {
    return this.props['align'] ?? 'column';
  }

  get separator() {
    return this.props['separator'] ?? '';
  }

  get prefix() {
    return this.props['prefix'] ?? '';
  }
}
