/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const Checkbox = {
  name: 'checkbox',
  config: {
    key: 'checkbox',
    type: 'checkBox',
    wrappers: ['panel'],
    props: {
      label: '',
      align: 'column',
      appearance: 'standard',
      labelPosition: 'after',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
