/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const CreditCard = {
  name: 'creditCard',
  config: {
    key: 'creditCard',
    type: 'input',// TODO: textbox filed type 
    wrappers: ['panel'],
    props: {
      label: 'Credit Card',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '0000 0000 0000 0000',
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
