/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const Email = {
  name: 'email',
  config: {
    key: 'email',
    type: 'textbox',
    wrappers: ['panel'],
    props: {
      label: 'Email',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {
      // validate: formValidator(FormFieldRegex.EMAIL, `Enter valid email`),
    },
  },
};
