/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const Numbers = {
  name: 'number',
  config: {
    key: 'number',
    type: 'textbox',
    wrappers: ['panel'],
    props: {
      // type: 'number',
      label: 'Number',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '0*',
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
