import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

/* eslint-disable @typescript-eslint/no-unused-vars */
export const Password = {
  name: 'password',
  config: {
    key: 'password',
    type: 'password',
    wrappers: ['panel'],
    props: {
      label: 'Password',
      placeholder: 'Must be at least 8 characters',
      required: true,
      minLength: 8,
      align: 'column',
      hideLabel: false,
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {
      // validate: formValidator(
      //   FormFieldRegex.PASSWORD,
      //   `Enter valid format of password`
      // ),
    },
  },
};
