/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const PhoneNumber = {
  name: 'phoneNumber',
  config: {
    key: 'phoneNumber',
    type: 'phoneNumber',
    wrappers: ['panel'],
    props: {
      label: 'Phone Number',
      // prefix: '+91 ',
      // mask: '(000) 000-0000',
      mask: '+000000099999999',
      align: 'column',
      hideLabel: false,
      placeholder: 'Enter with Country Code (Ex: +18738482397)',
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {
      // validate: formValidator(
      //   // FormFieldRegex.PHONE_NUMBER_USA,
      //   `Enter valid phone number`
      // ),
    },
  },
};
