/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const Radio = {
  name: 'radio',
  config: {
    key: 'radio',
    type: 'radioType',
    wrappers: ['panel'],
    props: {
      label: 'Radio',
      align: 'column',
      appearance: 'standard',
      options: [],
      thumbLabel: true,
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
