/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const Slider = {
  name: 'slider',
  config: {
    key: 'slider',
    type: 'sliderType',
    wrappers: ['panel'],
    props: {
      label: 'Slider',
      align: 'column',
      appearance: 'standard',
      labelPosition: 'after',
      thumbLabel: true,
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
      vertical: false,
      invert: false,
      tickInterval: 0,
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
