/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const Textarea = {
  name: 'textarea',
  config: {
    key: 'textarea',
    type: 'textArea',
    wrappers: ['panel'],
    props: {
      label: 'Textarea',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
      rows: 4,
      autosize: true,
      autosizeMaxRows: 4,
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
