/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const Textbox = {
  name: 'text',
  config: {
    key: 'label',
    type: 'textbox',
    wrappers: ['panel'],
    props: {
      label: 'Label',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
