/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const Username = {
  name: 'userName',
  config: {
    key: 'userName',
    type: 'textbox',
    wrappers: ['panel'],
    props: {
      label: 'User Name',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {
    //   validate: formValidator(FormFieldRegex.UserName, `Enter valid username`),
    },
  },
};
