export enum FormFieldRegex {
  IP_ADDRESS = '/(\\d{1,3}\\.){3}\\d{1,3}/',
  PHONE_NUMBER = '/(\\d{1,3}\\.){3}\\d{1,3}/',
  PHONE_NUMBER_USA = '/^((\\+1?)(-| ?))?[2-9]\\d{2}(?:\\-?|\\ ?)\\d{3}(?:\\-?|\\ ?)\\d{4}$/',
  EMAIL = '/(\\d{1,3}\\.){3}\\d{1,3}/',
  COLOR_HEX = '/^#?([a-fA-F0-9]{6}|[a-fA-F0-9]{3})$/',
  PASSWORD= '^(?=.*?[A-Z])(?=.*?[0-9]).{8,}$', 
}
