import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HierarchicalTreeComponent } from './hierarchical-tree/hierarchical-tree.component';
import { TreeLevelComponent } from './hierarchical-tree/tree-level/tree-level.component';
import { MatButtonModule } from '@angular/material/button';
import { TreeToolbarComponent } from './hierarchical-tree/tree-toolbar/tree-toolbar.component';
import { ToolbarModule } from '@hash8io/core-web/toolbar'
import { SharedModule } from '@hash8io/core-web';
@NgModule({
  imports: [CommonModule, MatButtonModule, ToolbarModule, SharedModule],
  declarations: [
    HierarchicalTreeComponent,
    TreeLevelComponent,
    TreeToolbarComponent
  ],
  exports: [HierarchicalTreeComponent]
})
export class HierarchicalTreeWebModule { }
