export interface MapPolygon {
  clickable?: boolean;
  draggable?: boolean;
  editable?: boolean;
  visible?: boolean;

  geodesic?: boolean;

  fillColor?: string;
  fillOpacity?: number;

  strokeColor?: string;
  strokeOpacity?: number;
  strokeWeight?: number;
  strokePosition?: 'CENTER' | 'INSIDE' | 'OUTSIDE';

  suppressUndo?: boolean;

  latitudeField?: string;
  longitudeField?: string;
}
