import { Component, OnInit } from '@angular/core';
import { AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';

@Component({
  selector: 'hash8-platform-register-hero-content',
  templateUrl: './hero-content.component.html',
  styleUrls: ['./hero-content.component.scss']
})
export class HeroContentComponent implements OnInit {
  branding!: Observable<any>;
  heroContent !: any;

  constructor(private store: Store) { }
  ngOnInit(): void {
    this.branding = this.store.select(AppStoreSelectors.selectBranding);

    this.branding?.subscribe((content: any) => {
      this.heroContent = content?.heroSection
    })
  }
}
//
