import { Model } from '@hash8io/core-web';

export const Actions: Model.Action[] = [
  {
    label: 'Send Command',
    targetUrl: '/update-service-history',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'build',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    isPrimaryAction: true,
  },
  {
    label: 'Change Tank Name',
    targetUrl: '/netusage',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'edit',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
  },
  {
    label: 'Change Tank Image',
    targetUrl: '/fill',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'image_add',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
  },
  {
    label: 'Change Tank Settings',
    targetUrl: '/fill',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'settings',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    isPrimaryAction: false,
  },
  {
    label: 'Change Target Injection Rate',
    targetUrl: '/fill',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'gps_fixed',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    isPrimaryAction: false,
  },
  {
    label: 'Change Refill Point',
    targetUrl: '/fill',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'height',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    isPrimaryAction: false,
  },
  {
    label: 'Poll Location',
    targetUrl: '/fill',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'share_location',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    isPrimaryAction: false,
  },
];
