import { Module } from '@nestjs/common';
import { ApplicationsService } from './applications.service';
import { ApplicationsController } from './applications.controller';
import { ManageApplicationsController } from './manage-applications.controller';

@Module({
  controllers: [ApplicationsController, ManageApplicationsController],
  providers: [ApplicationsService],
})
export class ApplicationsModule {}
