/* eslint-disable cypress/no-unnecessary-waiting */
/// <reference types="cypress" />

describe('Hash8 Platform - TankIq-2.0', () => {
  it('TankIq-2.0', () => {
    /* ====  visit URL  ==== */
    cy.visit('/');
    cy.get('#formly_2_input_username_0').type('jerry');
    cy.get('#formly_2_password_password_1').type('JSD*24h#');
    /* ====  Check and Uncheck remember me button  ==== */
    cy.get('.mat-checkbox-inner-container').click();
    cy.get('#mat-checkbox-1-input').check();
    cy.get('.mat-checkbox-inner-container').click();
    cy.get('#mat-checkbox-1-input').uncheck();
    /* ====  click Submit button  ==== */
    cy.get('.login-form--button').click();
    cy.wait(3000);

    /* ==== hash8-platform-app-header Toolbar ==== */
    cy.get('hash8-platform-app-header').should('be.visible');

    /* ==== hash8-platform-sidebar Header ==== */
    cy.get('hash8-platform-sidebar').should('be.visible');

    /* ==== hash8-platform-sidebar-nav Items ==== */
    cy.get(
      'hash8-platform-sidebar > div > hash8-platform-sidebar-nav > '
    ).should('be.visible');
    /* ==== hash8-platform-mega-menu ==== */
    cy.get(
      'hash8-platform-mega-menu > .mat-focus-indicator > .mat-button-wrapper > .mat-icon'
    ).click();
    cy.wait(3000);
    cy.get('.cdk-overlay-backdrop').click();
    cy.get(
      '.sidebar-brand > .mat-focus-indicator > .mat-button-wrapper > .mat-icon'
    ).click();
    /* ==== hash8-platform-sidebar Header minimize ==== */
    cy.get(
      '.sidebar-brand > .mat-focus-indicator > .mat-button-wrapper > .mat-icon'
    ).click();
    /* ==== hash8-platform-sidebar Item -Tanks ==== */
    cy.get(
      '.navigation-vertical > :nth-child(2) > .nav-item > .nav-item--label'
    ).click();
    cy.wait(3000);
    /* ==== hash8-platform-sidebar Item -Reportpage ==== */
    cy.get(':nth-child(4) > .nav-item > .nav-item--label').click();
    cy.wait(3000);
    /* ==== hash8-platform-sidebar Item -Cascadepage ==== */
    cy.get(':nth-child(5) > .nav-item > .nav-item--label').click();
    cy.wait(3000);
    /* ==== hash8-platform-sidebar Item -Components page ==== */

    cy.get(':nth-child(6) > .nav-item > .nav-item--label').click();
    cy.wait(3000);
    /* ==== hash8-platform-sidebar Item -Snapshots ==== */

    cy.get(
      'hash8-platform-sidebar-nav.ng-star-inserted > .sidebar-nav > .navigation-vertical > hash8-platform-sidebar-nav-group.ng-star-inserted > .sidebar-nav--group > [fxlayout="row"] > .nav-item--container > .nav-item--label'
    ).click();
    cy.wait(3000);
    /* ==== hash8-platform-sidebar Item -Snapshots-type01 ==== */

    cy.get(
      'hash8-platform-sidebar-nav.ng-star-inserted > .sidebar-nav > .navigation-vertical > hash8-platform-sidebar-nav-group.ng-star-inserted > .sidebar-nav--group > .sidebar-submenu > :nth-child(1) > .nav-item'
    ).click();
    cy.wait(3000);
    /* ==== hash8-platform-sidebar Item -Snapshots-type02 ==== */

    cy.get(
      'hash8-platform-sidebar-nav.ng-star-inserted > .sidebar-nav > .navigation-vertical > hash8-platform-sidebar-nav-group.ng-star-inserted > .sidebar-nav--group > .sidebar-submenu > :nth-child(2) > .nav-item > .nav-item--label'
    ).click();
    cy.wait(3000);

    /* ==== Notification panel ==== */
    cy.get('[data-testid="bell-svg"]').click();
    cy.wait(3000);
    cy.get('[data-testid="bell-svg"]').click();
    /* ==== hash8-platform-user-profile-dropdown ==== */
    cy.get(
      'hash8-platform-user-profile-dropdown > .mat-focus-indicator > .mat-button-wrapper'
    ).click();
    cy.wait(2000);
    /* ==== hash8-platform-user-profile-dropdown-My profile ==== */
    cy.get('.cdk-focused').click();
    cy.wait(3000);
    cy.get(
      'hash8-platform-user-profile-dropdown > .mat-focus-indicator > .mat-button-wrapper'
    ).click();
    /* ==== Overlay list which contains Logout and My Profile  ==== */
    cy.get('.mat-menu-content > :nth-child(2)').click();
  });
});
