import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { AccountsRoutingModule } from './accounts-routing.module';
import { AccountsComponent } from './accounts.component';
import { HierarchicalTreeWebModule } from '@hash8io/hierarchical-tree-web'
import { TitleModule } from '@hash8io/core-web/title';
import { HeadlessTabModule, SharedModule } from '@hash8io/core-web';
import { MatTabsModule } from '@angular/material/tabs';
import { MatButtonModule } from '@angular/material/button';
import { MatButtonToggleModule } from '@angular/material/button-toggle';




@NgModule({
  declarations: [AccountsComponent],
  imports: [CommonModule, AccountsRoutingModule, HierarchicalTreeWebModule, TitleModule, SharedModule, HeadlessTabModule, MatTabsModule, MatButtonModule, MatButtonToggleModule],
  exports: [AccountsComponent],
})
export class AccountsModule { }
