/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import { DialogWebService } from '@hash8io/dialog-web';
import { TemplateService } from '@hash8io/events-web';
import { InviteUserService } from '@hash8io/invite-user-web';
import { SingleStepFormService } from 'libs/forms-web/src/lib/components/single-step-form/service/single-step-form.service';

@Component({
  selector: 'hash8-app-cascade-page',
  templateUrl: './cascade-page.component.html',
  styleUrls: ['./cascade-page.component.scss'],
})
export class CascadePageComponent implements OnInit {
  layout: 'horizontal' | 'vertical' = 'horizontal';
  rowDataUUID: any;
  methodName!: any;
  obj!: any;

  constructor(
    private dialogService: DialogWebService,
    private inviteUserService: InviteUserService,
    private singleStepFormService: SingleStepFormService,
    private templateService: TemplateService
  ) {
    this.rowDataUUID = localStorage.getItem('userUUID');
  }

  ngOnInit(): void {
    // setInterval(() => {
    //   console.log(this.templateService.getData());
    // }, 3000);
    // this.rowDataUUID = localStorage.getItem('userUUID')
    // this.rowDataUUID = '62270cfb-1aca-438c-8eec-81c710943699';
  }

  action(params: any) {
    // console.log("Params *****", params)

    // this.inviteUserService.showOverlay(params)

    params?.forEach((eventData: any) => {
      if (eventData?.method === 'openFormDialog') {
        this.openFormDialog(eventData?.params);
      }

      // if (eventData?.method === "refreshDataGrid") {
      //   this.singleStepFormService.refreshDataGrid

      // }
    });
  }

  inviteUser(data: any) {
    console.log('User Data', data);
  }

  openFormDialog(params: any) {
    console.log('Params', params?.data?.content);

    params?.data?.content.forEach((data: any) => {
      data?.props?.options?.events?.forEach((x: any) => {
        this.methodName = x?.method;

        // x.method = (data: any) => { this.obj = this; this.obj[this.methodName](data) }

        // console.log("X.method", x?.method)
      });
    });

    this.dialogService
      .openDialog({
        maxWidth: 600,
        autoFocus: false,
        data: params?.data,
      })
      .subscribe((result: any) => {
        console.log('Result', result);
      });

    console.log('Form', params);
  }
}
