export const CASCADE_PAGE_MOCK = [
  {
    title: 'My Organizations',
    icon: 'layer',
    apiUrl: 'https://reqres.in/api/users?page=2',
    options: {
      showTitle: true,
      showBreadcrumb: false,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'My Organizations',
        value: '',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'Organization',
        value: '',
        isActive: false,
      },
    ],
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],
    actions: [
      {
        label: 'Invite User',
        iconUrl: 'person_add',
        urlPath: '',
        isActive: true,
      },
    ],
  },
  {
    title: 'Users',
    icon: 'layer',
    apiUrl: 'https://reqres.in/api/users?page=2',
    options: {
      showTitle: false,
      showBreadcrumb: true,
      showSearch: true,
      showSettings: true,
      showActions: true,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: 'My Organizations',
        value: '',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'Organization',
        value: 'Autocavo',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'Vehicles',
        value: 'Tyrese Long',
        isActive: false,
      },
      {
        urlPath: '',
        label: 'Vehicle Groups',
        value: '',
        isActive: false,
      },
    ],
    settings: [
      {
        label: 'Add Vehicle to a Group',
        iconUrl: 'local_shipping',
        urlPath: '',
        isActive: true,
      },
      {
        label: 'Deactivate Vehicle',
        iconUrl: 'local_shipping',
        urlPath: '',
        isActive: true,
      },
    ],
    actions: [
      {
        label: 'Update Odometer',
        urlPath: '',
        isActive: true,
      },
      {
        label: 'Activate Vehicle',
        iconUrl: 'local_shipping',
        urlPath: '',
        isActive: true,
      },
    ],
  },
];
