import { LayoutModule } from '@hash8io/core-web/layout';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ChartPageRoutingModule } from './chart-page-routing.module';
import { ChartPageComponent } from './chart-page.component';
import { SharedModule } from '@hash8io/core-web';
import { TitleModule } from '@hash8io/core-web/title';
import { FlexLayoutModule } from '@angular/flex-layout';
import { CardModule } from '@hash8io/core-web/card';
import { ChartModule } from '@hash8io/chart-web/common';
import { SparklineChartModule } from '@hash8io/chart-web/sparkline-chart';


@NgModule({
  declarations: [ChartPageComponent],
  imports: [
    CommonModule,
    ChartPageRoutingModule,
    SharedModule,
    TitleModule,
    LayoutModule,
    FlexLayoutModule,
    CardModule,
    ChartModule,
    SparklineChartModule,
  ],
  exports: [ChartPageComponent],
})
export class ChartPageModule {}
