import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DataReportWebComponent } from '@hash8io/data-report-web';
import { DashboardComponent } from './dashboard.component';

const routes: Routes = [
  {
    path: '',
    component: DashboardComponent,
    children: [
      {
        path: ':uuid',
        component: DataReportWebComponent,
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DashboardRoutingModule {}
