import { Component, OnInit } from '@angular/core';
import { DialogWebService } from '@hash8io/dialog-web';
import { PAGE_DIALOG } from '../../mock-data/page';

@Component({
  selector: 'hash8-app-dialog',
  templateUrl: './dialog.component.html',
  styleUrls: ['./dialog.component.scss'],
})
export class DialogComponent implements OnInit {
  constructor(private dialogService: DialogWebService) {}

  ngOnInit(): void {}

  openDialog() {
    this.dialogService.openDialog({
      data: PAGE_DIALOG,
    });
  }
}
