import { DialogDataModel } from '@hash8io/dialog-web';

export const DIALOG_INFO: DialogDataModel = {
  content: [
    {
      type: 'template',
      props: {
        template:
          '<h5 class="text-primary text-2xl font-bold">Your Productivity Powerhouse</h5>',
      },
    },
    {
      type: 'template',
      props: {
        template: `<h6 class="text-lg font-bold">An obsession with making web development faster</h6>`,
      },
    },
    {
      type: 'template',
      props: {
        template:
          '<p class="font-normal text-sm opacity-60">The fastest way to combine your favorite tools and APIs to build the fastest sites, stores, and apps for the web.</p>',
      },
    },
    {
      type: 'template',
      props: {
        template:
          '<a href="/" class="mat-focus-indicator mat-flat-button mat-button-base mat-accent" >Open</a>',
      },
    },
  ],
};
