import { DialogDataModel } from '@hash8io/dialog-web';

export const DIALOG_TEXT: DialogDataModel = {
  title: {
    label: 'View Device Status',
    iconUrl: 'memory',
  },
  content: [
    {
      type: 'text',
      props: {
        type: 'text',
        label: 'Last Reported Time',
        value: '06/08/2022 03:10 AM (EST)',
        key: 'lastReportedTime',
        align: 'column',
      },
    },
    {
      type: 'text',
      props: {
        type: 'tag',
        key: 'status',
        label: 'Reporting Status',
        options: {
          color: 'green',
        },
        value: 'Reporting',
        align: 'column',
      },
    },
    {
      type: 'text',
      props: {
        type: 'text',
        label: 'Last Reported Time',
        value: '06/08/2022 03:10 AM (EST)',
        key: 'lastReportedTime',
        align: 'column',
      },
    },
    {
      type: 'text',
      props: {
        type: 'tag',
        key: 'status',
        label: 'Reporting Status',
        options: {
          color: 'green',
        },
        value: 'Reporting',
        align: 'column',
      },
    },

    {
      type: 'text',
      props: {
        type: 'text',
        label: 'Location',
        value: '2101 Richland Avenue, Houston, Texas 77077, USA',
        key: 'location',
        align: 'column',
      },
    },
  ],
};
