import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MapPageRoutingModule } from './map-page-routing.module';
import { MapPageComponent } from './map-page.component';
import { CardModule } from '@hash8io/core-web/card';
import { LayoutModule } from '@hash8io/core-web/layout';
import { TitleModule } from '@hash8io/core-web/title';
import { GoogleMapsModule } from '@angular/google-maps';
import { SharedModule } from '@hash8io/core-web';
import { MapWebModule } from '@hash8io/map-web';

@NgModule({
  declarations: [MapPageComponent],
  imports: [
    CommonModule,
    MapPageRoutingModule,
    CardModule,
    LayoutModule,
    TitleModule,
    GoogleMapsModule,
    MapWebModule,
    SharedModule,
  ],
  exports: [MapPageComponent],
})
export class MapPageModule {}
