import { Model } from '@hash8io/core-web';

export const Actions: Model.Action[] = [
  {
    label: 'Send Command',
    targetUrl: '/tank-history',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'layers',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    isPrimaryAction: true,
  },
  {
    label: 'Change Tank Name',
    targetUrl: '/netusage',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'edit',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
  },
  {
    label: 'Change Tank Image',
    targetUrl: '/fill',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'add_photo_alternate',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
  },
  {
    label: 'Change Tank Settings',
    targetUrl: '/fill',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'settings',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
    isPrimaryAction: false,
  },
  {
    label: 'Change Target Injection Rate',
    targetUrl: '/fill',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'filter_center_focus',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
  },
  {
    label: 'Change Refill Point',
    targetUrl: '/fill',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'layers',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
  },
  {
    label: 'Poll Location',
    targetUrl: '/fill',
    visible: true,
    clickable: true,
    type: Model.MenuType.Link,
    iconUrl: 'add_location_alt',
    configApiUrl: '',
    apiUrl: '',
    hasSubMenu: false,
  },
];
