/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'hash8-app-reports-page',
  templateUrl: './reports-page.component.html',
  styleUrls: ['./reports-page.component.scss'],
})
export class ReportsPageComponent {


  RAW_MESSAGES_REPORT_CONFIG = {
    title: 'Raw Messages',
    icon: 'layer',
    reportUUID: 606,
    apiUrl: '/api/v1/assets',
    options: {
      showTitle: false,
      showBreadcrumb: false,
      showSearch: true,
      showSettings: true,
      showActions: true,
      editable: false,
      showLegends: false,
    },
    breadcrumbs: [
      {
        urlPath: '',
        label: '',
        value: '',
      },
      {
        urlPath: '',
        label: '',
        value: '',
      },
    ],
    style: {
      height: '300px'
    },
    settings: [
      {
        label: ' Export to CSV',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
      {
        label: ' Export to Excel',
        iconUrl: 'file_download',
        urlPath: '',
        isActive: true,
      },
    ],

    count: {
      label: 'Messages',
      value: '',
    },
  }

  rawMessagesReportConfig = this.RAW_MESSAGES_REPORT_CONFIG;

}
