export const SNAPSHOT_REPORT_DATA_MOCK = {
  statusCode: 200,
  data: {
    configurations: {
      modifiedTime: null,

      columns: [
        {
          uuid: '5da95864-c1a5-45cb-9414-4a91fcee927e',
          filter: true,
          headerCheckboxSelection: true,
          checkboxSelection: true,
          hide: false,
          sortable: true,
          field: 'assetName',
          headerName: 'Tank Name',
          name: 'TANK NAME',
          enableRowGroup: true,
          pivot: true,
        },
        {
          uuid: 'efcf413a-6375-454e-8e25-1a64082c789e',
          filter: true,
          hide: false,
          sortable: true,
          field: 'messageTime',
          headerName: 'Message Time',
          name: 'LAST MESSAGE TIME (EST)',
          enableRowGroup: true,
          pivot: true,
        },
        {
          uuid: '45cce8c7-b023-4039-895d-9b51536817fd',
          filter: true,
          hide: true,
          sortable: true,
          field: 'location',
          headerName: 'Last Known Location',
          name: 'LAST KNOWN LOCATION',
          enableRowGroup: true,
        },
        {
          uuid: '08677e62-515a-4187-9c81-3132df1d49ca',
          filter: true,
          hide: false,
          sortable: true,
          field: 'reasonCodeName',
          headerName: 'Reason',
          name: 'REASON CODE',
          enableRowGroup: true,
        },
        {
          uuid: 'a6678112-eadc-4bd3-a4f3-65d2655aedd7',
          filter: true,
          hide: false,
          sortable: true,
          field: 'liquidLevel',
          headerName: 'Level',
          name: 'TANK LEVEL',
          enableRowGroup: true,
        },
        {
          uuid: 'dd3f366b-8076-433c-836d-fa024dc0cf24',
          filter: true,
          hide: false,
          sortable: true,
          field: 'liquidType',
          headerName: 'Liquid',
          name: 'LIQUID TYPE',
          enableRowGroup: true,
        },
        {
          uuid: '85d7d579-f487-4686-9ca0-82a704396ccf',
          filter: true,
          hide: false,
          sortable: true,
          field: 'tankCapacity',
          headerName: 'Capacity',
          name: 'CAPACITY',
          enableRowGroup: true,
          aggFunc: 'max',
        },
        {
          uuid: '565a234e-7ad0-4eef-8fbf-b764eeae84ad',
          filter: true,
          hide: false,
          sortable: true,
          field: 'liquidVolume',
          headerName: 'Volume',
          name: 'LIQUID VOLUME',
          enableRowGroup: true,
          aggFunc: 'max',
        },
        {
          uuid: 'b915c458-0a36-45d5-a3a4-0a37eb791ed7',
          filter: true,
          hide: false,
          sortable: true,
          field: 'availableCapacity',
          headerName: 'Avail. Capacity',
          name: 'AVAILABLE CAPACITY',
          enableRowGroup: true,
          aggFunc: 'max',
        },
        {
          uuid: 'b6a306a7-aea4-47b7-a235-56f43a4b819d',
          filter: true,
          hide: false,
          sortable: true,
          field: 'liquidWeight',
          headerName: 'Weight',
          name: 'LIQUID WEIGHT',
          enableRowGroup: true,
        },
        {
          uuid: '8d5b5313-28d3-4806-80b5-f31a52950948',
          filter: true,
          hide: false,
          sortable: true,
          field: 'volumeChange',
          headerName: 'Vol. Change',
          name: 'VOLUME CHANGE',
          enableRowGroup: true,
        },
        {
          uuid: '3eba51a6-a6c7-4ca5-a4ba-92f42dfc96e7',
          filter: true,
          hide: true,
          sortable: true,
          field: 'temperature',
          headerName: 'Temp.',
          name: 'TEMP.(˚C)',
          enableRowGroup: true,
        },
        {
          uuid: '5367abce-852f-4422-b609-8eebd012f54f',
          filter: true,
          hide: false,
          sortable: true,
          field: 'sensorReading',
          headerName: 'Sensor',
          name: 'SENSOR READING',
          enableRowGroup: true,
        },
        {
          uuid: 'f14fa3cc-0fce-41ef-af36-40fc48c4e4fb',
          filter: true,
          hide: true,
          sortable: true,
          field: 'battery',
          headerName: 'Battery',
          name: 'BATT. (V)',
          enableRowGroup: true,
        },
        {
          uuid: 'd031c8bb-3c6a-4c65-9201-8388ceff26d9',
          filter: true,
          hide: true,
          sortable: true,
          field: 'deviceSerialNumber',
          headerName: 'Device SN',
          name: 'DEVICE ID',
          enableRowGroup: true,
        },
        {
          uuid: 'ac397372-37dd-4ee7-ad15-b2c152a85082',
          filter: true,
          hide: true,
          sortable: true,
          field: 'deviceModelName',
          headerName: 'Device Model',
          name: 'DEVICE MODEL',
          enableRowGroup: true,
        },
        {
          uuid: '0c8eea6b-3af1-4da6-870d-47b3699b6924',
          filter: true,
          hide: true,
          sortable: true,
          field: 'organizationName',
          headerName: 'Organization',
          name: 'ORGANIZATION NAME',
          enableRowGroup: true,
        },
        {
          uuid: '3778cf85-55e5-4be6-acb4-fdeca5ca0351',
          filter: true,
          hide: false,
          sortable: true,
          field: 'netDailyUsage',
          headerName: 'Net Daily Usage',
          name: 'NET DAILY USAGE',
          enableRowGroup: true,
        },
      ],
    },
    rowData: [
      {
        assetUUID: '55e125ab-d6bc-49a5-8926-9101140431d1',
        assetName: 'TA4-01778378SKYC42F',
        messageTime: '08/24/2022 02:34 AM',
        location:
          '1444,East Lackawanna Avenue,Olyphant,Lackawanna County,Pennsylvania,18447,USA',
        reasonCodeName: 'Scheduled Message',
        assetTypeName: 'Static Storage Tank',
        tankUsageType: 'Injection',
        tankShapeType: 'Cylindrical',
        tankShape: 'Vertical Cylinder',
        tankHeight: 174,
        tankDiameter: 142.63,
        tankCapacity: 45557.83,
        assetImageUrl:
          'https://teezle-tankiq-v2.s3.amazonaws.com/Screen%20Shot%202020-06-23%20at%208-1592915026400.png',
        reportingStatus: 'Reporting',
        availableCapacity: 18888.61,
        liquidLevel: 101.91,
        liquidType: 'WATER',
        liquidWeight: 26669.22,
        liquidVolume: 26669.22,
        percentageOfLiquidVolume: 58.54,
        liquidCode: '',
        volumeChange: 57.57,
        refillPoint: 60,
        latitude: 41.4573166667,
        battery: 0,
        temperature: '',
        targetInjectionRate: 80,
        deviceSerialNumber: '01778378SKYC42F',
        specificGravity: 1,
        longitude: -75.58265,
        sensorIndex: 4,
        organizationName: 'CANPACK',
        deviceModelName: 'TiQ.115',
        sensorReading: 101.91,
        netDailyUsage: '154.86',
      },
      {
        availableCapacity: 25054.12,
        liquidLevel: 78.35,
        refillPoint: 60,
        latitude: 41.4573166667,
        assetTypeName: 'Static Storage Tank',
        battery: 0,
        targetInjectionRate: 80,
        tankUsageType: 'Injection',
        tankShape: 'Vertical Cylinder',
        deviceSerialNumber: '01778378SKYC42F',
        tankShapeType: 'Cylindrical',
        tankDiameter: 142.63,
        reportingStatus: 'Reporting',
        volumeChange: 0,
        assetId: 56789405,
        liquidType: 'WATER',
        specificGravity: 1,
        tankCapacity: 45557.83,
        percentageOfLiquidVolume: 45.01,
        longitude: -75.58265,
        reasonCodeName: 'Scheduled Message',
        sensorIndex: 5,
        organizationName: 'CANPACK',
        liquidWeight: 20503.71,
        deviceModelName: 'TiQ.115',
        assetUuid: 'bb26790e-bade-4aeb-ba22-46eec1a9bd45',
        liquidCode: '',
        assetImageUrl:
          'https://teezle-tankiq-v2.s3.amazonaws.com/Screen%20Shot%202020-06-23%20at%208-1592915026400.png',
        sensorReading: 78.35,
        assetName: 'TA5-01778378SKYC42F',
        location:
          '1444, East Lackawanna Avenue,Olyphant, Lackawanna County, Pennsylvania, 18447, USA',
        liquidVolume: 20503.71,
        tankHeight: 174,
        messageTime: '08/24/2022 02:34  AM',
        netDailyUsage: '154.86',
      },
      {
        availableCapacity: 25954.34,
        liquidLevel: 74.91,
        refillPoint: 60,
        latitude: 41.4573166667,
        assetTypeName: 'Static Storage Tank',
        battery: 0,
        targetInjectionRate: 80,
        tankUsageType: 'Injection',
        tankShape: 'Vertical Cylinder',
        deviceSerialNumber: '01778378SKYC42F',
        tankShapeType: 'Cylindrical',
        tankDiameter: 142.63,
        reportingStatus: 'Reporting',
        volumeChange: 0,
        assetId: 56789406,
        liquidType: 'WATER',
        specificGravity: 1,
        tankCapacity: 45557.83,
        percentageOfLiquidVolume: 43.03,
        longitude: -75.58265,
        reasonCodeName: 'Scheduled Message',
        sensorIndex: 6,
        organizationName: 'CANPACK',
        liquidWeight: 19603.49,
        deviceModelName: 'TiQ.115',
        assetUuid: '31c42874-cd5f-47ee-b74f-e2309962205d',
        liquidCode: '',
        assetImageUrl:
          'https://teezle-tankiq-v2.s3.amazonaws.com/Screen%20Shot%202020-06-23%20at%208-1592915026400.png',
        sensorReading: 74.91,
        assetName: 'TA6-01778378SKYC42F',
        location:
          '1444, East Lackawanna Avenue, Olyphant, Lackawanna County, Pennsylvania, 18447,USA',
        liquidVolume: 19603.49,
        tankHeight: 174,
        messageTime: '08/24/2022 02:34  AM',
        netDailyUsage: '154.86',
      },
      {
        availableCapacity: 40795.22,
        liquidLevel: 0.19,
        refillPoint: 60,
        latitude: 41.4573166667,
        assetTypeName: 'Static Storage Tank',
        battery: 0,
        targetInjectionRate: 80,
        tankUsageType: 'Injection',
        tankShape: 'Vertical Cylinder',
        deviceSerialNumber: '01778378SKYC42F',
        tankShapeType: 'Cylindrical',
        tankDiameter: 142.63,
        reportingStatus: 'Reporting',
        volumeChange: 0,
        assetId: 56789401,
        liquidType: 'WATER',
        specificGravity: 1,
        tankCapacity: 40844.94,
        percentageOfLiquidVolume: 0.12,
        longitude: -75.58265,
        reasonCodeName: 'Scheduled Message',
        sensorIndex: 1,
        organizationName: 'CANPACK',
        liquidWeight: 49.72,
        deviceModelName: 'TiQ.115',
        assetUuid: 'd5192660-aa44-46b7-a2e7-5ef587d1fe53',
        liquidCode: '',
        assetImageUrl:
          'https://teezle-tankiq-v2.s3.amazonaws.com/Screen%20Shot%202020-06-23%20at%208-1592915026400.png',
        sensorReading: 0.19,
        assetName: 'TA1-01778378SKYC42F',
        location:
          '1444,East Lackawanna Avenue,Olyphant, Lackawanna County, Pennsylvania,18447,USA',
        liquidVolume: 49.72,
        tankHeight: 156,
        messageTime: '08/24/2022 02:34  AM',
        netDailyUsage: '154.86',
      },
      {
        availableCapacity: 18106.14,
        liquidLevel: 104.9,
        refillPoint: 60,
        latitude: 41.4573166667,
        assetTypeName: 'Static Storage Tank',
        battery: 0,
        targetInjectionRate: 80,
        tankUsageType: 'Injection',
        tankShape: 'Vertical Cylinder',
        deviceSerialNumber: '01778378SKYC42F',
        tankShapeType: 'Cylindrical',
        tankDiameter: 142.63,
        reportingStatus: 'Reporting',
        volumeChange: -94.21,
        assetId: 56789403,
        liquidType: 'WATER',
        specificGravity: 1,
        tankCapacity: 45557.83,
        percentageOfLiquidVolume: 60.26,
        longitude: -75.58265,
        reasonCodeName: 'Scheduled Message',
        sensorIndex: 3,
        organizationName: 'CANPACK',
        liquidWeight: 27451.69,
        deviceModelName: 'TiQ.115',
        assetUuid: '969b6930-d70a-4bd8-beef-924e9233003c',
        liquidCode: '',
        assetImageUrl:
          'https://teezle-tankiq-v2.s3.amazonaws.com/Screen%20Shot%202020-06-23%20at%208-1592915026400.png',
        sensorReading: 104.9,
        assetName: 'TA3-01778378SKYC42F',
        location:
          '1444, East Lackawanna Avenue, Olyphant,Lackawanna County,Pennsylvania, 18447,USA',
        liquidVolume: 27451.69,
        tankHeight: 174,
        messageTime: '08/24/2022 02:34  AM',
        netDailyUsage: '154.86',
      },
      {
        availableCapacity: 45474.09,
        liquidLevel: 0.32,
        refillPoint: 60,
        latitude: 41.4573166667,
        assetTypeName: 'Static Storage Tank',
        battery: 0,
        targetInjectionRate: 80,
        tankUsageType: 'Injection',
        tankShape: 'Vertical Cylinder',
        deviceSerialNumber: '01778378SKYC42F',
        tankShapeType: 'Cylindrical',
        tankDiameter: 142.63,
        reportingStatus: 'Reporting',
        volumeChange: 0,
        assetId: 56789408,
        liquidType: 'WATER',
        specificGravity: 1,
        tankCapacity: 45557.83,
        percentageOfLiquidVolume: 0.18,
        longitude: -75.58265,
        reasonCodeName: 'Scheduled Message',
        sensorIndex: 8,
        organizationName: 'CANPACK',
        liquidWeight: 83.74,
        deviceModelName: 'TiQ.115',
        assetUuid: '1b0462db-15d3-44e7-9afc-f22ac3ab0508',
        liquidCode: '',
        assetImageUrl:
          'https://teezle-tankiq-v2.s3.amazonaws.com/Screen%20Shot%202020-06-23%20at%208-1592915026400.png',
        sensorReading: 0.32,
        assetName: 'TA8-01778378SKYC42F',
        location:
          '1444,East Lackawanna Avenue,Olyphant,Lackawanna County,Pennsylvania,18447, USA',
        liquidVolume: 83.74,
        tankHeight: 174,
        messageTime: '08/24/2022 02: 34  AM',
        netDailyUsage: '154.86',
      },
      {
        availableCapacity: 40831.86,
        liquidLevel: 0.05,
        refillPoint: 60,
        latitude: 41.4573166667,
        assetTypeName: 'Static Storage Tank',
        battery: 0,
        targetInjectionRate: 80,
        tankUsageType: 'Injection',
        tankShape: 'Vertical Cylinder',
        deviceSerialNumber: '01778378SKYC42F',
        tankShapeType: 'Cylindrical',
        tankDiameter: 142.63,
        reportingStatus: 'Reporting',
        volumeChange: 0,
        assetId: 56789402,
        liquidType: 'WATER',
        specificGravity: 1,
        tankCapacity: 40844.94,
        percentageOfLiquidVolume: 0.03,
        longitude: -75.58265,
        reasonCodeName: 'Scheduled Message',
        sensorIndex: 2,
        organizationName: 'CANPACK',
        liquidWeight: 13.08,
        deviceModelName: 'TiQ.115',
        assetUuid: '04b531c8-9814-4bbd-a4cd-05f820d17bf1',
        liquidCode: '',
        assetImageUrl:
          'https://teezle-tankiq-v2.s3.amazonaws.com/Screen%20Shot%202020-06-23%20at%208-1592915026400.png',
        sensorReading: 0.05,
        assetName: 'TA2-01778378SKYC42F',
        location:
          '1444,East Lackawanna Avenue,Olyphant,Lackawanna County,Pennsylvania,18447,USA',
        liquidVolume: 13.08,
        tankHeight: 156,
        messageTime: '08/24/2022 02: 34  AM',
        netDailyUsage: '154.86',
      },
      {
        availableCapacity: 45518.58,
        liquidLevel: 0.15,
        refillPoint: 60,
        latitude: 41.4573166667,
        assetTypeName: 'Static Storage Tank',
        battery: 0,
        targetInjectionRate: 80,
        tankUsageType: 'Injection',
        tankShape: 'Vertical Cylinder',
        deviceSerialNumber: '01778378SKYC42F',
        tankShapeType: 'Cylindrical',
        tankDiameter: 142.63,
        reportingStatus: 'Reporting',
        volumeChange: 18.31,
        assetId: 56789407,
        liquidType: 'WATER',
        specificGravity: 1,
        tankCapacity: 45557.83,
        percentageOfLiquidVolume: 0.09,
        longitude: -75.58265,
        reasonCodeName: 'Scheduled Message',
        sensorIndex: 7,
        organizationName: 'CANPACK',
        liquidWeight: 39.25,
        deviceModelName: 'TiQ.115',
        assetUuid: '0bb51e21-d9d8-41c8-bd44-46591e75a04e',
        liquidCode: '',
        assetImageUrl:
          'https://teezle-tankiq-v2.s3.amazonaws.com/Screen%20Shot%202020-06-23%20at%208-1592915026400.png',
        sensorReading: 0.15,
        assetName: 'TA7-01778378SKYC42F',
        location:
          '1444,East Lackawanna Avenue,Olyphant,Lackawanna County,Pennsylvania,18447,USA',
        liquidVolume: 39.25,
        tankHeight: 174,
        messageTime: '08/24/2022 02: 34  AM',
        netDailyUsage: '154.86',
      },
    ],
  },
};
