import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { UserProfileSettingsRoutingModule } from './user-profile-settings-routing.module';
import { UserProfileSettingsComponent } from './user-profile-settings.component';
import { UserProfileModule } from '@hash8io/authentication-web/user-profile';

@NgModule({
  declarations: [UserProfileSettingsComponent],
  imports: [CommonModule, UserProfileSettingsRoutingModule, UserProfileModule],
  exports: [UserProfileSettingsComponent],
})
export class UserProfileSettingsModule {}
