/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FlexLayoutModule } from '@angular/flex-layout';
import { MatButtonModule } from '@angular/material/button';

@Component({
  selector: 'hash8-platform-welcome',
  standalone: true,
  imports: [CommonModule, FlexLayoutModule, MatButtonModule],
  template: ` <div
    fxLayout="column"
    fxLayoutAlign="center center"
    fxLayoutGap="24px"
    class="h-full"
  >
    <div class="text-center">
      <h1 class="text-3xl font-medium mb-2">Welcome to Hash8 Platform!</h1>
      <p class="text-2xl font-light">One stop IoT Platform</p>
    </div>
    <button mat-flat-button fxHide.lt-lg color="accent">Explore</button>
    <button mat-stroked-button fxHide fxHide.lg fxShow.gt-sm color="accent">
      Explore
    </button>
    <button mat-flat-button fxShow.lt-md fxHide.xs fxHide color="primary">
      Explore
    </button>
    <button mat-flat-button fxShow.lt-sm fxHide color="warn">Explore</button>
  </div>`,
  styles: [],
})
export class WelcomeComponent implements OnInit {
  constructor() {}

  ngOnInit(): void {}
}
