# Implementation Plan for Today (24th August, Wednesday)

## Today's (24th Aug) Goal

1. Tank Status, History with live data on hash8-grid
2. Administration Screens (Read Only)

## Focus

1. Focus on new things that Jason has not seen (hash8-grid, administration etc)
2. Focus on tough things first
3. Effectiveness, do the right thing
4. Priority focused
5. Frequent small updates
6. Don't focus on libraries, implement on main app, we can change later
7. Don't focus on branding, use hash8, we can change it later today

## Customer Context

1. Jason is training Canpack today at 10.30 AM ET
2. Jason will be using tankiq.rt1cloud.com (2.0 production)
3. Jason will also be using dev2-tankiq.rt1cloud.com (2.0 design mockups)
4. Jason will also be using tankiq-test.rt1cloud.com (2.0 new)
5. Jason will also be using tankiq.tmatics.com (1.0)

## Team Members

1. Venky - Core Middleware Interface / API
2. Arvindh - Middleware Controllers & Services, CI/CD setup on Hash8 repository
3. Marimuthu - Middleware Authentication, Authorization
4. Pons - Middleware Controllers & Services
5. Uma - Middleware Controllers & Services, Merge & Testing
6. Kali - User Interface - Login screen using hash8-login, Courier UI, Merge & Testing
7. Vishmitha - Creative designs, functional alignment, task alignment, Merge & Testing
8. Karthick - Core User Interface Backbone, ngRx
9. Karthick - User Interface - Layouts, Responsiveness
10. Kowsi - User Interface - Tank Status using hash8-grid
11. Anu - Navigation Menu Database
12. Ranji - Tank Status Database
13. Jeyasri - Tankiq 2.0 Test Infrastructure
14. Akalya - Database scripts, functional alignment
15. Rampunitha - Debezium status data move
16. Kathir - Functional alignment, user interface implementation
17. Sabari - Middleware Controllers & Services
18. Karthik Kannan - Customer Communication & Alignment
19. Sam - Merge & Testing
20. Anbarasan - Merge & Testing
21. Jai Surya - Merge & Testing

## Focus Areas

1. Core Middleware Interface / API (Venky)
2. Middleware Controllers & Services (Arvindh, Uma)
3. Middleware Authentication, Authorization (Marimuthu, Pons)
4. Database Scripts (Akalya)
5. Database Design (Anu, Ranji)
6. Debezium Data Move (Rampunitha, Uma)
7. Infrastructure Setup (Jeyasri, Anu)
8. Core User Interface Backbone, ngRx (Karthick)
9. User Interface - Layouts, Responsiveness (Karthick, Kathir)
10. User Interface - Tank Status using hash8-grid (Kowsi)
11. User Interface - Administration using hash8-cascade (Karthick)
12. User Interface - Navigation menu using hash8-navigation (Karthick)
13. User Interface - Login screen using hash8-login (Kali)
14. User Interface - Courier Notifications (Kali)

## Database

1. IAM - Authentication (Login)
2. IAM - Management (CRUD Organization, Users, User Roles)
3. Basic CRM - Application, Organization, Users, Accounts
4. IOT CRM - Assets, Devices
5. Digital Twin - Asset Status, Asset History
6. Event, Notifications & Subscriptions
