#api-gateway-Server.tf

### api-gateway-Server ###
resource "aws_instance" "api-gateway-Server" {
  ami                         = var.api-gateway-Server_ami
  instance_type               = var.api-gateway-Server_instance_type
  key_name                    = var.key_name
  availability_zone           = var.availablityZone
  vpc_security_group_ids      = ["${aws_security_group.api-gateway-ServerSecurityGroup.id}"]
  subnet_id                   = aws_subnet.publicSubnet.id
  associate_public_ip_address = true
  source_dest_check           = false
  private_ip                  = var.api-gateway-ServerPrivateIp
  root_block_device {
    volume_size = var.api-gateway-ServerRootVolumeSize
  }


  tags = {
    Name = "${var.api-gateway-Server_name}"
  }
}
