#dbServer1.tf

### dbServer1 ###
resource "aws_instance" "dbServer1" {
  ami                    = var.dbServer1_ami
  instance_type          = var.dbServer1_instance_type
  key_name               = var.key_name
  availability_zone      = var.availablityZone
  vpc_security_group_ids = ["${aws_security_group.dbServer1SecurityGroup.id}"]
  subnet_id              = aws_subnet.privateSubnet.id
  source_dest_check      = false
  private_ip             = var.dbServer1PrivateIp

  root_block_device {
    volume_size = var.dbServer1RootVolumeSize
  }



  tags = {
    Name = "${var.dbServer1_name}"
  }
}
