#CDC-ServerSecurityGroup.tf

############ CDC-ServerSecurityGroup ############

resource "aws_security_group" "CDC-ServerSecurityGroup" {
  name        = var.CDC-ServerSecurityGroup_name
  description = var.CDC-ServerSecurityGroup_description



  ingress {
    from_port   = 22
    to_port     = 22
    protocol    = "TCP"
    description = "Access from vpn"
    cidr_blocks = ["${aws_instance.natServer.private_ip}/32"]
  }

  # ingress {
  #  from_port   = 9092
  #  to_port     = 9092
  #  protocol    = "TCP"
  #  description = "Kafka port is open to NAT"
  #  cidr_blocks = ["${aws_instance.natServer.private_ip}/32"]
  #}




  egress {
    from_port        = 0
    to_port          = 0
    protocol         = "-1"
    description      = "Allow to all Outbound traffic"
    cidr_blocks      = ["0.0.0.0/0"]
    ipv6_cidr_blocks = ["::/0"]
  }

  vpc_id = aws_vpc.vpc.id

  tags = {
    Name = "${var.CDC-ServerSecurityGroup_tag}"
  }
}


