import { createAction, props } from '@ngrx/store';

// Login Actions
export const AUTH_LOGIN = createAction(
  '[Auth] Login Initiated',
  props<{ user: any }>()
);

export const AUTH_LOGIN_INPROGRESS = createAction(
  '[Auth] Login Inprogress',
  props<any>()
);

export const AUTH_SUCCESS = createAction(
  '[Auth] AUTH_SUCCESS Logged in',
  props<any>()
);

export const AUTH_FAILED = createAction(
  '[Auth] Logging in Failed',
  props<any>()
);

export const AUTH_LOGIN_TRIES = createAction(
  '[Auth] Login try count');

export const AUTH_LOGIN_ERROR = createAction('[Auth] Auth Login Error');

export const SET_AUTH_TOKEN = createAction(
  '[Auth] Set Authentication Tokens Initiated',
  props<any>()
);

export const SET_AUTH_TOKEN_SUCCESS = createAction(
  '[Auth] Set Authentication Tokens Success'
);

export const SET_AUTH_TOKEN_FAILED = createAction(
  '[Auth] Set Authentication Tokens Failed'
);
export const DECODE_AUTH_TOKEN = createAction(
  '[Auth] Decode Auth Token Initiated', props<any>()
);
export const DECODE_AUTH_TOKEN_SUCCESS = createAction(
  '[Auth] Decode Auth Token Success',props<any>()
);
export const DECODE_AUTH_TOKEN_FAILED = createAction(
  '[Auth] Decode Auth Token Failed'
);
