import { Component, Input, OnInit } from '@angular/core';
import { UserProfileService } from '../../service/user-profile.service';
import { userProfileNavigationConfig } from '../../user-profile-config';
import { unitOfMeasurementConfig } from './unit-of-measurement-config';

@Component({
  selector: 'hash8-platform-unit-of-measurement',
  templateUrl: './unit-of-measurement.component.html',
  styleUrls: ['./unit-of-measurement.component.scss'],
})
export class UnitOfMeasurementComponent implements OnInit {
  //Static data
  // unitOfMeasurementCard: any = unitOfMeasurementConfig

  @Input() unitOfMeasurementCard: any;
  edit = false;

  // unitOfMeasurementCard: any

  unitOfMeasurement!: any;

  constructor(private userProfileService: UserProfileService<any>) {
    //
  }

  // eslint-disable-next-line @angular-eslint/no-empty-lifecycle-method
  ngOnInit(): void {
    const state = history.state;
    this.edit = state['metricEditable'];
  }
}
