export const MYORGANIZATION = {
  label: 'My Organizations',
  iconUrl: 'layers',
  name: 'My Organizations',
  reportUUID: '987',
};

export const ORGANIZATION = {
  label: 'Organizations',
  iconUrl: 'layers',
  reportUUID: '100',
};

export const SALES = {
  label: 'Sales Channels',
  iconUrl: 'layers',
  reportUUID: '101',
};

export const CUSTOMER = {
  label: 'Customers',
  iconUrl: 'layers',
  reportUUID: '102',
};

export const ACCOUNT = {
  label: 'Accounts',
  iconUrl: 'layers',
  reportUUID: '200',
};
export const USERS = {
  label: 'Users',
  iconUrl: 'layers',
  reportUUID: '201',
};
export const VEHICLES = {
  label: 'Vehicles',
  iconUrl: 'layers',
  reportUUID: '202',
};

export const DEVICES = {
  label: 'Devices',
  iconUrl: 'layers',
  reportUUID: '203',
};

export const USER_ROLES = {
  label: 'User Roles',
  iconUrl: 'layers',
  reportUUID: '300',
};

export const USER_GROUPS = {
  label: 'User Groups',
  iconUrl: 'layers',
  reportUUID: '301',
};

export const CASCADE_CONFIG_MOCK = {
  'CR-1000': {
    ...ORGANIZATION,
    children: [MYORGANIZATION, SALES, CUSTOMER],
  },
  'CR-1001': {
    ...MYORGANIZATION,
    children: [ACCOUNT, USERS, VEHICLES, DEVICES],
  },
  'CR-1002': {
    ...USERS,
    children: [USER_ROLES, USER_GROUPS],
  },
};
