import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { Model } from '@hash8io/core-web';
import { Subject } from 'rxjs';

@Component({
  selector: 'hash8-platform-chart',
  templateUrl: './chart.component.html',
  styleUrls: ['./chart.component.scss'],
})
export class ChartComponent implements OnInit {
  @Input() type: any;
  @Input() chartOptions!: any;
  @Output() dataClick: any = new EventEmitter<any>();
  @Input() showHeader = true;
  @Input() title: any;
  @Input() subtitle: any;
  @Input() value: any;
  @Input() label!: string;
  @Input() indicator!: "increase" | "decrease" | "normal";
  @Input() indicatorValue: any;
  @Input() showSparklineChart = false;
  @Input() chartStyle !: any;

  constructor() {
    //
  }

  // eslint-disable-next-line @angular-eslint/no-empty-lifecycle-method
  ngOnInit(): void {
    //
  }
}
