import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ChartComponent } from './chart.component';
import { NgApexchartsModule } from 'ng-apexcharts';
import { PieChartModule } from '@hash8io/chart-web/pie-chart';
import { HeatmapChartModule } from '@hash8io/chart-web/heatmap-chart';
import { PolarAreaChartModule } from '@hash8io/chart-web/polar-area-chart';
import { BarChartModule } from '@hash8io/chart-web/bar-chart';
import { LineChartModule } from '@hash8io/chart-web/line-chart';
import { RadarChartModule } from '@hash8io/chart-web/radar-chart';
import { RadialBarChartModule } from '@hash8io/chart-web/radial-bar-chart';
import { ScatterChartModule } from '@hash8io/chart-web/scatter-chart';
import { CandlestickChartModule } from '@hash8io/chart-web/candlestick-chart';
import { DonutChartModule } from '@hash8io/chart-web/donut-chart';
import { RangeBarChartModule } from '@hash8io/chart-web/range-bar-chart';
import { BoxPlotChartModule } from '@hash8io/chart-web/box-plot-chart';
import { BubbleChartModule } from '@hash8io/chart-web/bubble-chart';
import { AreaChartModule } from '@hash8io/chart-web/area-chart';
import { RangeAreaChartModule } from '@hash8io/chart-web/range-area-chart';
import { TreemapChartModule } from '@hash8io/chart-web/treemap-chart';
import { TitleModule } from '@hash8io/core-web/title';
import { SparklineChartModule } from '@hash8io/chart-web/sparkline-chart';
import { KpiChartModule } from '@hash8io/chart-web/kpi-chart';

@NgModule({
  imports: [
    CommonModule,
    NgApexchartsModule,
    TitleModule,
    AreaChartModule,
    BarChartModule,
    BoxPlotChartModule,
    BubbleChartModule,
    CandlestickChartModule,
    DonutChartModule,
    HeatmapChartModule,
    LineChartModule,
    PieChartModule,
    PolarAreaChartModule,
    RadarChartModule,
    RadialBarChartModule,
    RangeAreaChartModule,
    ScatterChartModule,
    RangeBarChartModule,
    TreemapChartModule,
    SparklineChartModule,
    KpiChartModule
  ],
  declarations: [ChartComponent],
  exports: [ChartComponent],
})
export class ChartModule {}
