import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HeatmapChartComponent } from './heatmap-chart.component';
import { NgApexchartsModule } from 'ng-apexcharts';
import { ChartFooterModule, ChartHeaderModule } from '@hash8io/chart-web';

@NgModule({
  imports: [CommonModule, NgApexchartsModule,ChartHeaderModule,ChartFooterModule],
  declarations: [HeatmapChartComponent],
  exports: [HeatmapChartComponent],
})
export class HeatmapChartModule {}
