import { Component, Input, OnInit } from '@angular/core';
import { Hash8ChartOptions } from '@hash8io/chart-web';

@Component({
  selector: 'hash8-platform-kpi-chart',
  templateUrl: './kpi-chart.component.html',
  styleUrls: ['./kpi-chart.component.scss'],
})
export class KpiChartComponent implements OnInit {

  @Input() chartOptions!: Hash8ChartOptions;
  @Input() value: any;
  @Input() label!: string;
  @Input() indicator!: "increase" |  "decrease" | "normal";
  @Input() indicatorValue: any;
  @Input() showSparklineChart = false;
  @Input() showHeader = true;
  @Input() title: any;
  @Input() subtitle: any;
  @Input() prefix: any;
  @Input() sufix: any;
  
  constructor() {
    // 
  }

  // eslint-disable-next-line @angular-eslint/no-empty-lifecycle-method
  ngOnInit(): void {
    // 
  }
}
