import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { KpiChartComponent } from './kpi-chart.component';
import { CardModule } from '@hash8io/core-web/card';
import { SharedModule } from '@hash8io/core-web';
import { ChartHeaderModule } from '@hash8io/chart-web';
import { SparklineChartModule } from '@hash8io/chart-web/sparkline-chart';

@NgModule({
  imports: [CommonModule, CardModule, SharedModule, ChartHeaderModule, SparklineChartModule],
  declarations: [KpiChartComponent],
  exports: [KpiChartComponent],
})
export class KpiChartModule {}
