import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TreemapChartComponent } from './treemap-chart.component';
import { NgApexchartsModule } from 'ng-apexcharts';
import { ChartFooterModule, ChartHeaderModule } from '@hash8io/chart-web';

@NgModule({
   imports: [CommonModule,NgApexchartsModule, ChartHeaderModule,ChartFooterModule],
  declarations: [TreemapChartComponent],
  exports: [TreemapChartComponent],
})
export class TreemapChartModule {}
