import { Component, Input, OnInit } from '@angular/core';
import { CommandsWebService } from '../service/commands-web.service';

@Component({
  selector: 'hash8-platform-command-history',
  templateUrl: './command-history.component.html',
  styleUrls: ['./command-history.component.scss']
})
export class CommandHistoryComponent implements OnInit {

  @Input() commandsHistoryApiUrl !: any;

  configuration !: any;
  historyData!: any;

  constructor(private commandsWebService: CommandsWebService) { }


  ngOnInit() {
    this.commandsWebService.getData(this.commandsHistoryApiUrl).subscribe((response: any) => {
      this.configuration = response?.configuration
      this.historyData = response?.rowData

    })

  }

  action(apiUrl: any) {
    //
  }

}
