import { createFeatureSelector, createSelector } from '@ngrx/store';

export const featureKey = 'commands';

export const selectFeature = createFeatureSelector<any>(featureKey);

export const selectName = createSelector(
  selectFeature,
  (state: any) => state.name
);


export const selectCommandsConfiguration = createSelector(
  selectFeature,
  (state: any) => state.commands
);

