import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MatIconModule } from '@angular/material/icon';
import { AlertPanelComponent } from './alert-panel.component';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MatBadgeModule } from '@angular/material/badge';


@NgModule({
  imports: [
    CommonModule,
    MatIconModule,
    MatTooltipModule,
    MatBadgeModule
  ],
  declarations: [
    AlertPanelComponent
  ],
  exports: [AlertPanelComponent]
})
export class AlertPanelModule { }
