/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'hash8-platform-banner',
  templateUrl: './banner.component.html',
  styleUrls: ['./banner.component.scss'],
})
export class BannerComponent implements OnInit {
  @Input() type: 'default' | 'info' | 'success' | 'danger' | 'warn' | 'info' =
    'default';
  @Input() mode: 'light' | '' = '';
  @Input() closable: boolean = true;
  bannerStatus = 'showBanner';

  get className(): string {
    return `banner-${this.type}`;
  }

  closeBanner() {
    this.bannerStatus = 'hideBanner';
  }

  constructor() {}

  ngOnInit(): void {}
}
