/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import {
  Component,
  Input,
  OnInit,
  TemplateRef,
  ViewChild,
} from '@angular/core';
import { Model } from '@hash8io/core-web';

@Component({
  selector: 'hash8-platform-breadcrumb',
  templateUrl: './breadcrumb.component.html',
  styleUrls: ['./breadcrumb.component.scss'],
})
export class BreadcrumbComponent implements OnInit {
  @Input() separator: string = 'slash';
  @Input() breadcrumbs: Model.Breadcrumb[] | undefined = [];

  @ViewChild('slash') slash!: TemplateRef<any>;
  @ViewChild('arrow') arrow!: TemplateRef<any>;
  @ViewChild('chevron') chevron!: TemplateRef<any>;
  @ViewChild('star') star!: TemplateRef<any>;
  @ViewChild('dot') dot!: TemplateRef<any>;

  constructor() {}

  ngOnInit(): void {}
}
