import { Component, Input } from '@angular/core';

@Component({
  selector: 'hash8-platform-card-footer',
  templateUrl: './card-footer.component.html',
  styleUrls: ['./card-footer.component.scss'],
})
export class CardFooterComponent {
  @Input()
  footer!: any;

  @Input()
  icon!: string;

  @Input()
  title!: string;

  @Input()
  actionIcon!: string;

  @Input()
  action!: [{ iconUrl: string; name: string }];

  @Input()
  showAction = true;

  @Input()
  showTitle = true;

  @Input()
  showIcon = true;

  // cardFooter = {
  //   //Header Title
  //   header: true,
  //   headerParams: [
  //     {
  //       type: 'icon',
  //       icon: 'more_horiz',
  //     },
  //     {
  //       type: 'textIcon',
  //       icon: 'menu',
  //       label: 'menu',
  //     },
  //     {
  //       type: 'iconText',
  //       icon: 'menu',
  //       label: 'menu',
  //     },
  //     {
  //       type: 'icon',
  //       icon: 'more_horiz',
  //     },
  //   ],

  //   //Header right side content
  //   headerSide: true,
  //   headerSideParams: [
  //     {
  //       type: 'icon',
  //       icon: 'more_horiz',
  //     },
  //     {
  //       type: 'textIcon',
  //       icon: 'menu',
  //       label: 'menu',
  //     },
  //     {
  //       type: 'iconText',
  //       icon: 'menu',
  //       label: 'menu',
  //     },
  //     {
  //       type: 'icon',
  //       icon: 'more_horiz',
  //     },
  //   ],
  //   headerSideLabel: '',
  // };
  constructor() {
    //
  }
}
