import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HierarchyComponent } from './hierarchy.component';
import { SharedModule } from '@hash8io/core-web';
import { OverlayModule } from '@angular/cdk/overlay';
import { PortalModule } from '@angular/cdk/portal';

@NgModule({
  imports: [CommonModule, SharedModule, OverlayModule, PortalModule],
  declarations: [HierarchyComponent],
  exports: [HierarchyComponent],
})
export class HierarchyModule { }
