export const LOGIN_LAYOUT_GRID_CONFIG = {
  default: {
    xl: {
      areas: 'banner banner | header header | hero content |  footer footer',
      gap: '0px',
      rows: 'auto 52px 1fr 36px',
      columns: '1fr 1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    lg: {
      areas: 'banner banner | header header | hero content |  footer footer',
      gap: '0px',
      rows: 'auto 52px 1fr 36px',
      columns: '1fr 1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    md: {
      areas: 'banner banner | header header | hero content |  footer footer',
      gap: '0px',
      rows: 'auto 52px 1fr 36px',
      columns: '1fr 1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    sm: {
      areas:
        'banner banner | header header | hero hero | content content |  footer footer',
      gap: '0px',
      rows: 'auto 52px 0px 1fr 64px',
      columns: '1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    xs: {
      areas:
        'banner banner | header header | hero hero | content content |  footer footer',
      gap: '0px',
      rows: 'auto 52px 0px 1fr auto',
      columns: '1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
  },
  template1: {
    xl: {
      areas: 'banner banner | header header | hero content |  hero footer',
      gap: '0px',
      rows: 'auto 0px 1fr auto',
      columns: '1.8fr 1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    lg: {
      areas: 'banner banner | header header | hero content |  hero footer',
      gap: '0px',
      rows: 'auto 0px 1fr auto',
      columns: '1.8fr 1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    md: {
      areas: 'banner banner | header header | hero content |  hero footer',
      gap: '0px',
      rows: 'auto 0px 1fr auto',
      columns: '1.3fr 1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    sm: {
      areas:
        'banner banner | header header | hero hero | content content |  footer footer',
      gap: '0px',
      rows: 'auto 0px 0px 1fr auto',
      columns: '1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
    xs: {
      areas:
        'banner banner | header header | hero hero | content content |  footer footer',
      gap: '0px',
      rows: 'auto 0px 0px 1fr auto',
      columns: '1fr',
      alignRows: 'start stretch',
      alignColumns: 'start stretch',
    },
  }, // Full Page Layout
  template2: {
    lg: {},
    md: {},
    sm: {},
    xs: {},
  },
};
