/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'hash8-platform-legends',
  templateUrl: './legends.component.html',
  styleUrls: ['./legends.component.scss'],
})
export class LegendsComponent implements OnInit {
  @Input() config!: any;
  @Input() options: any = [];

  @Input() backgroundColor!: string;
  @Input() borderColor!: string;
  @Input() color!: string;
  @Input() label!: string;
  @Input() value!: string;
  @Input() rowsPerColumn = 10;

  constructor() {}

  ngOnInit() {
    this.rowsPerColumn = this.config.rows || 10;
  }
}
