/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @typescript-eslint/no-empty-function */
import { Component, EventEmitter, Input, OnInit, Output, ViewEncapsulation } from '@angular/core';
import { Model } from '@hash8io/core-web';

@Component({
  selector: 'hash8-platform-sidebar-nav-group',
  templateUrl: './sidebar-nav-group.component.html',
  styleUrls: ['./sidebar-nav-group.component.scss'],
  encapsulation: ViewEncapsulation.None,
})
export class SidebarNavGroupComponent implements OnInit {
  @Input() nav!: Model.Menu;
  @Input() open!: boolean;
  @Input() sidePop = false;
  @Output() navigationChange = new EventEmitter()

  constructor() { }

  ngOnInit(): void {
    if (this.nav?.isSubMenuOpen) {
      this.open = true
    }
    // console.log('showMenu',this.nav);
    // console.log('show SUb Menu',this.nav.subMenus);

    this.nav.type === 'dropdown';
    if (window.location.pathname.includes(this.nav?.targetUrl || '', 0))
      this.open = true;
  }
  showPopup() {
    if (document
      .getElementsByClassName('app-layout')[0]
      .classList.contains('collapse-sidebar')) {
      this.sidePop = true;
    }
  }

  navChanged(event: any) {
    this.navigationChange.emit(event)
  }
}
