module.exports = {
  important: true,
  theme: {
    extend: {
      colors: {
        primary: {
          light: 'var(--color-primary-light)',
          DEFAULT: 'var(--color-primary)',
        },
        accent: {
          light: 'var(--color-accent-light)',
          DEFAULT: 'var(--color-accent)',
        },
        warn: {
          light: 'var(--color-warn-light)',
          DEFAULT: 'var(--color-warn)',
        },
      },
      textColor: {
        'primary-contrast': 'var(--color-primary-contrast)',
        'accent-contrast': 'var(--color-accent-contrast)',
        'warn-contrast': 'var(--color-warn-contrast)',
      },
    },
  },
  plugins: [],
};