/* eslint-disable @typescript-eslint/no-inferrable-types */
/* eslint-disable @angular-eslint/directive-selector */
import { Directive, ElementRef, Input, OnInit } from '@angular/core';

@Directive({
  selector: '[headlessTabs]',
  exportAs: 'headless-tabs',
})
export class HeadlessTabDirective implements OnInit {
  @Input() headlessTabs: boolean = true;

  constructor(private eleRef: ElementRef) {}

  ngOnInit(): void {
    if (this.headlessTabs)
      this.eleRef.nativeElement.children[0].style.display = 'none';
  }
}
