export const STATE = [
  {
    label: 'State',
    value: 'state',
  },
];

export const TIME = [
  {
    label: 'Created Time',
    value: 'createdTime',
  },
  {
    label: 'Modified Time',
    value: 'modifiedTime',
  },
];

export const ORGANIZATION_COMMON = [
  {
    label: '# Accounts',
    value: 'accounts',
  },
  {
    label: '# Users',
    value: 'users',
  },
  {
    label: '# Vehicles',
    value: 'vehicles',
  },
  {
    label: '# Locations',
    value: 'locations',
  },
  {
    label: '# Devices',
    value: 'devices',
  },
];

export const ORGANIZATION = [
  {
    label: 'Organization Name',
    value: 'organizationName',
  },
  ...STATE,
  ...ORGANIZATION_COMMON,
  ...TIME,
];

export const SALES_CHANNEL = [
  {
    label: 'Sales Channel Name',
    value: 'salesChannelName',
  },
  ...STATE,
  ...ORGANIZATION_COMMON,
  ...TIME,
];

export const USERS = [
  {
    label: 'Name',
    value: 'fullName',
  },
  {
    label: 'First Name',
    value: 'firstName',
  },
  {
    label: 'Last Name',
    value: 'lastName',
  },
  {
    label: 'Email',
    value: 'email',
  },
  {
    label: 'Role',
    value: 'role',
  },
  {
    label: 'User Status',
    value: 'status',
  },
  {
    label: 'User Group',
    value: 'userGroup',
  },
  ...TIME,
];
