import { Pipe, PipeTransform } from '@angular/core';
import { ColorService } from '../../services/color/color.service';

@Pipe({
  name: 'textColor',
  standalone: true,
})
export class TextColorPipe implements PipeTransform {
  constructor(private colorService: ColorService) {}

  transform(backgroundColor: string): string {
    return this.colorService.getTextColorBasedOnContrast(backgroundColor);
  }
}
