import { AbstractControl } from "@angular/forms";

export function fieldMatchValidator(control: AbstractControl) {
    const { newPassword, passwordConfirm } = control.value;
  
    // avoid displaying the message error when values are empty
    if (!passwordConfirm || !newPassword) {
      return null;
    }
  
    if (passwordConfirm === newPassword) {
      return null;
    }
  
    return { match: { message: "Password doesn't match." } };
  }