import { Component, Input, OnInit } from '@angular/core';
import { Model } from '@hash8io/core-web';

@Component({
  selector: 'hash8-platform-title',
  templateUrl: './title.component.html',
  styleUrls: ['./title.component.scss'],
})
export class TitleComponent implements OnInit {
  @Input() title!: Model.Title | undefined;
  @Input() icon!: string | undefined;
  @Input() size: 'default' | 'sm' | 'xs' | 'xl' = 'default';
  @Input() iconSize: 'default' | 'sm' | 'xs' = 'default';
  @Input() iconColor: 'primary' | 'accent' | '' = '';

  constructor() {
    //
  }

  // eslint-disable-next-line @angular-eslint/no-empty-lifecycle-method
  ngOnInit(): void {
    //
  }
}
