import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ToolbarComponent } from './toolbar.component';
import { SharedModule } from '@hash8io/core-web';
import { TitleModule } from '@hash8io/core-web/title';
import { BreadcrumbModule } from '@hash8io/core-web/breadcrumb';
import { CtaButtonModule } from '@hash8io/core-web/cta-button';
import { SearchModule } from '@hash8io/core-web/search';
import { MatSnackBarModule } from '@angular/material/snack-bar';

// import { NzTreeSelectModule } from 'ng-zorro-antd/tree-select';


// import { NZ_ICONS } from 'ng-zorro-antd/icon';
// import { NZ_I18N, en_US } from 'ng-zorro-antd/i18n';
// import { IconDefinition } from '@ant-design/icons-angular';
// import * as AllIcons from '@ant-design/icons-angular/icons';




// const antDesignIcons = AllIcons as {
//   [key: string]: IconDefinition;
// };
// const icons: IconDefinition[] = Object.keys(antDesignIcons).map(key => antDesignIcons[key])

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    TitleModule,
    BreadcrumbModule,
    CtaButtonModule,
    SearchModule,
    MatSnackBarModule,
    // NzTreeSelectModule,

  ],
  declarations: [ToolbarComponent],
  // providers: [{ provide: NZ_I18N, useValue: en_US }, { provide: NZ_ICONS, useValue: icons }],
  exports: [ToolbarComponent],

})
export class ToolbarModule { }
