# Hash8 Data Grid

Data grid component implemented with ag-grid.

## Installation

```bash
  npm i @hash8io/data-grid-web
```

For Pre-release versions

```bash
  npm i @hash8io/data-grid-web@next
```

<!-- ## Usage/Examples -->

<!-- ```typescript
TBD;
``` -->

## Changelog

### 3.6.44

- [Fixed] Grid status object issue

### 3.6.43

- [Updated] Status Icon Tooltip with Dyanmic Value

### 3.6.42

- [Updated] Grid status component added changes detection to support outside grid usage

### 3.6.41

- [Updated] Geofence css style updated
- [Updated] Updated the location null check

### 3.6.40

- [Added] Location supports Geofence object

### 3.6.39

- [Updated] Date time format conversion changed by passing input

### 3.6.38

- [Bug-Fix] Default Date Time format set properly.

### 3.6.37

- [Fixed] CSS alignment fixed for grid location component

### 3.6.36

- [Bug-Fix] Assign Tag overlay is aligned.

## 3.6.35

- [Added] Export Data Type Added

### 3.6.34

- [Added] Dropdown action color change

### 3.6.33

- [Change] Default Icon added for label

### 3.6.32

- [Added] Label with Icon

### 3.6.31

- [Added] Custom Tooltip component added
- [Updated] Tooltip Delay reduced

### 3.6.30

- [Updated] Converted unit values can be exported.

### 3.6.29

- [Fixed] Temperature Null Check

### 3.6.28

- [Fixed] Temperature Precision fix

### 3.6.27

- [Fixed] Temperature Precision fix

### 3.6.26

- [Updated] Temperature Precision fixed to 2

### 3.6.25

- [Updated] Grid link component Updated to use in column configurations

### 3.6.24

- [Added] Unit component Added
- [Fixed] Custom View For Grouped Column Cells

### 3.6.22

- [Added] Timezone component Added

### 3.6.21

- [Fixed] grid-slide-toggle shape fixed

### 3.6.20

- [Added] Timezone Added

### 3.6.17

- [Updated] Grid status bar input added for mapping info window

### 3.6.16

- [Added] Configurable Header Height

### 3.6.13

- [Added] Location component added in data-grid component - ngOnInit lifecycle

### 3.6.12

- [Fixed] No Data handled for complex data Filter (Key creator)

### 3.6.10

- [Updated] Removed static \_selectedRowData

### 3.6.10

- [Updated] Grid status bar component get data from \_selectedRowData

  3.6.9

- [Added] Data Type (JSON) handled in Report Export (Export the value given in ValueFormatter)

### 3.6.8

- [Fixed] Label color value from Different row data field

### 3.6.7

- [Added] Grid Location Component

### 3.6.6

- [Added] Different Value Prop for Label Filed

### 3.6.5

- [Added] Report Column Option Updated (Requirement: Column Sizing changes as per new given option)

### 3.6.4

- [Added] Column Header Refresh Added.
- [Fixed] Refresh Method Bug Fix in Component

### 3.6.3

- [Updated] Icon Alignment Updated in Slide Toggle

### 3.6.2

- Add style input in grid-text

### 3.6.1

- [Added] Popup added for indicators with templating options

### 3.6.0

- [Added] New column type added for indicators - Grid Indicators
- Column "fieldType": "indicator"

### 3.5.7

- [Updated] Custom column type Grid status icons Updated. Updated style in options
- "style" : "" | "none" | "outlined"
- Default style is ""

### 3.5.6

- Pagination options Updated to 15, 50, 100, 200
- Default pagination is set to 15 records per page

### 3.5.5

- Column sizing options added in grid options { columSizing: "AUTO" | "FIT" }
- Grid height options added "fill" | "auto" | "600px"

### 3.5.4

- Hide Filter in Ag Gird Column
- Menu Tab suppressed in All Report Column
