import { Component, Input } from '@angular/core';
import { ICellRendererAngularComp } from 'ag-grid-angular';
import { ICellRendererParams } from 'ag-grid-community';

@Component({
  selector: 'hash8-platform-grid-tooltip',
  templateUrl: './grid-tooltip.component.html',
  styleUrls: ['./grid-tooltip.component.scss'],
})
export class GridTooltipComponent implements ICellRendererAngularComp {
  @Input() label!: any;

  constructor() {}
  agInit(params: ICellRendererParams<any, any>): void {
    // const cellRendererData = params?.colDef?.cellRendererParams;
    // const groupRendererData =
    //   params?.colDef?.cellRendererParams?.innerRendererParams;
    // const singleGroupRendererData =
    //   params?.node?.rowGroupColumn?.getColDef()?.cellRendererParams;

    this.label = params.value;
  }
  refresh(params: ICellRendererParams<any, any>): boolean {
    return true;
  }
}
