import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StoreModule } from '@ngrx/store';
import { featureKey } from './selectors';
import { dataGridReducer } from './reducers';
@NgModule({
  declarations: [],
  imports: [
    CommonModule,
    StoreModule.forFeature(featureKey, dataGridReducer)
  ],
  exports: [StoreModule]
})
export class DataGridStoreWebModule { }
