import { REPORTS_CONFIG_MOCK } from './report-config.mock';
import {
  CUSTOMERS_DATA_MOCK,
  ORGANIZATION_DATA_MOCK,
  SALES_DATA_MOCK,
  TANK_STATUS_DATA_MOCK,
  TANK_STATUS_DATA_MOCK_PIVOTING,
  TARGET_INJECTION_DATA_MOCK,
  REPORT_DATA_MOCK,
  USER_DATA_MOCK,
  USER_ROLE_DATA_MOCK,
  VEHICLE_STATUS_DATA_MOCK,
  PIVOT_DATA_MOCK,
  ASSET_STATUS_DATA_MOCK,
} from './report-data.mock';

export const REPORTS_CONFIG_LOOKUP = {
  987: REPORTS_CONFIG_MOCK[0], // Organization
  100: REPORTS_CONFIG_MOCK[2], // Users
  101: REPORTS_CONFIG_MOCK[1],
  102: REPORTS_CONFIG_MOCK[4],
  200: REPORTS_CONFIG_MOCK[5],
  201: REPORTS_CONFIG_MOCK[2],
  202: REPORTS_CONFIG_MOCK[2],
  203: REPORTS_CONFIG_MOCK[2],
  300: REPORTS_CONFIG_MOCK[3], // User Roles
  301: REPORTS_CONFIG_MOCK[3],
  400: REPORTS_CONFIG_MOCK[6], //Target Injection
  500: REPORTS_CONFIG_MOCK[10],
  501: REPORTS_CONFIG_MOCK[8], // Pivoting

  600: REPORTS_CONFIG_MOCK[9], // Vehicle
  602: REPORTS_CONFIG_MOCK[11], // Vehicle Status

  603: REPORTS_CONFIG_MOCK[12], // Pivot
  606: REPORTS_CONFIG_MOCK[13], //Asset Status



};

export const REPORT_DATA_LOOKUP = {
  100: USER_DATA_MOCK.data,
  101: SALES_DATA_MOCK.data,
  102: CUSTOMERS_DATA_MOCK.data,
  201: USER_DATA_MOCK.data,
  200: USER_ROLE_DATA_MOCK.data,
  202: USER_ROLE_DATA_MOCK.data,
  203: USER_DATA_MOCK.data,
  300: USER_ROLE_DATA_MOCK.data,
  301: USER_DATA_MOCK.data,
  987: ORGANIZATION_DATA_MOCK.data,
  400: TARGET_INJECTION_DATA_MOCK.data,
  500: REPORT_DATA_MOCK.data,
  501: TANK_STATUS_DATA_MOCK_PIVOTING.data, // Pivoting

  // 600: VEHICLE_STATUS_DATA_MOCK.data, //Vehicle
  602: VEHICLE_STATUS_DATA_MOCK.data, //Vehicle Status

  603: PIVOT_DATA_MOCK.data, //Vehicle Status

  606: ASSET_STATUS_DATA_MOCK.data



};
