import { Component, Input } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'hash8-platform-decoded-messages-report',
  templateUrl: './decoded-messages-report.component.html',
  styleUrls: ['./decoded-messages-report.component.scss'],
})
export class DecodedMessagesReportComponent {

  @Input() gridConfig: any;

  constructor(private route: ActivatedRoute) {
    this.route.data.subscribe((data) => {
      this.gridConfig = data['gridConfig']
    });
  }

}
