import { createReducer, on } from '@ngrx/store';
import * as Actions from './actions';
import { initialState } from './state';

export const dialogReducer = createReducer(
  initialState,

  on(Actions.ADD_DIALOG, (state: any, { dialog }) => {
    return {
      ...state,
    };
  }),

  on(Actions.REMOVE_DIALOG, (state: any, { dialog }) => ({
    ...state,
  }))
);
