import { createFeatureSelector, createSelector } from '@ngrx/store';

export const featureKey = 'dialogs';

export const selectFeature = createFeatureSelector<any>(featureKey);

export const selectName = createSelector(
  selectFeature,
  (state: any) => state.name
);

export const selectDialog = (dialogName: any) =>
  createSelector(selectFeature, (state: any) => {
    return dialogName ? state[dialogName] : {};
  });
