# Hash8 Dropdown Web

Simple Dropdown component wrapped angular material select component.

## Installation

```bash
  npm i @hash8io/dropdown-web
```

For Pre-release versions

```bash
  npm i @hash8io/dropdown-web@next
```

## Usage/Examples

```html
<hash8-platform-dropdown-web
  [options]="dropdownOptions"
  labelProp="id"
  valueProp="name"
  (valueChange)="methodName($event)"
>
</hash8-platform-dropdown-web>
```

<!-- ```typescript
TBD;
``` -->

#### Properties

| Property        | Type       | Default      | Description  |
| :-------------- | :--------- | :----------- | :----------- |
| `options`       | `object[]` | []           | **Required** |
| `valueProp`     | `string`   | id           |              |
| `labelProp`     | `string`   | name         |              |
| `selectedValue` | `String`   | first option |              |

#### Methods

valueChange(event)

## Changelog

### 1.0.6

- Dropdown background color change

### 1.0.4

- Dropdown Default Selection Value added in Model

### 1.0.3

- Dropdown Value Change Event Emitted

### 1.0.2

- Dropdown CSS updated

### 1.0.1

- Tailwind config added

### 1.0.0

- Initial version
