import { Component, Input, OnInit } from '@angular/core';
import { TemplateService } from '@hash8io/events-web';

@Component({
  selector: 'hash8-platform-dynamic-toggle-button',
  templateUrl: './dynamic-toggle-button.component.html',
  styleUrls: ['./dynamic-toggle-button.component.scss']
})
export class DynamicToggleButtonComponent implements OnInit {
  @Input() fields !: any;

  constructor(private templateService: TemplateService) {

  }

  ngOnInit() {
    this.fields = this.templateService.processTemplate(this.fields)
  }

}
