import { createAction, props } from '@ngrx/store';

// Process Events
export const PROCESS_EVENTS = createAction(
  '[Events] Process events',
  props<{ events: any }>()
);

// Call a Method
export const CALL_METHOD = createAction(
  '[Events] Call method',
  props<{ event: any }>()
);

// Add event to store
export const ADD_EVENT = createAction(
  '[Events] Add event',
  props<{ event?: any }>()
);

// Remove event from store
export const REMOVE_EVENT = createAction(
  '[Events] Remove event',
  props<{ event: any }>()
);

export const SET_DATA = createAction(
  '[Events] Set data',
  props<{ data: any }>()
);

export const REMOVE_DATA = createAction(
  '[Events] Remove data',
  props<{ keys: any }>()
);

export const CLEAR_DATA = createAction('[Events] Clear data');
