import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StoreModule } from '@ngrx/store';
import { featureKey } from './selectors';
import { eventsReducer } from './reducers';
import { EffectsModule } from '@ngrx/effects';
import { EventsStoreEffects } from './effects';
@NgModule({
  declarations: [],
  imports: [
    CommonModule,
    StoreModule.forFeature(featureKey, eventsReducer),
    EffectsModule.forFeature([EventsStoreEffects]),
  ],
  exports: [StoreModule],
})
export class EventsStoreModule {}
