import { createReducer, on } from '@ngrx/store';
import * as Actions from './actions';
import { initialState } from './state';

export const eventsReducer = createReducer(
  initialState,

  on(Actions.CALL_METHOD, (state: any, { event }) => {
    return {
      ...state,
    };
  }),

  on(Actions.ADD_EVENT, (state: any, { event }) => ({
    ...state,
  })),

  on(Actions.REMOVE_EVENT, (state: any, { event }) => ({
    ...state,
  }))
);
