import { OdometerType } from './odometer/odometer.type';
import { PasswordType } from './password/password.type';
import { PhoneNumberType } from './phone-number/phone-number.type';
import { StepperType } from './stepper/stepper.type';
import { TextareaType } from './textarea/textarea.type';
import { TextboxValidatorAsyncType } from './textbox-validator-async/textbox-validator-async.type';
import { TextboxType } from './textbox/textbox.type';
import { CheckboxType } from './checkbox/checkbox.type';
import { MultiCheckboxType } from './multi-checkbox/multi-checkbox.type';
import { SelectType } from './select/select.type';
import { ToggleType } from './toggle/toggle.type';
import { SliderType } from './slider/slider.type';
import { RadioType } from './radio/radio.type';
import { RepeatType } from './repeat/repeat.type';
import { RepeatGridType } from './repeat-grid/repeat-grid.type';
import { LabelType } from './label/label.type';
import { DropdownType } from './dropdown/dropdown.type';
import { ReportType } from './add-entity/report.type';

export * from './password/password.type';
export * from './phone-number/phone-number.type';
export * from './odometer/odometer.type';
export * from './textbox-validator-async/textbox-validator-async.type';
export * from './textbox/textbox.type';
export * from './stepper/stepper.type';
export * from './textarea/textarea.type';
export * from './checkbox/checkbox.type';
export * from './multi-checkbox/multi-checkbox.type';
export * from './select/select.type';
export * from './toggle/toggle.type';
export * from './slider/slider.type';
export * from './radio/radio.type';
export * from './textarea/textarea.type';
export * from './checkbox/checkbox.type';
export * from './multi-checkbox/multi-checkbox.type';
export * from './select/select.type';
export * from './toggle/toggle.type';
export * from './stepper/stepper.type';
export * from './repeat/repeat.type';
export * from './repeat-grid/repeat-grid.type';
export * from './label/label.type';
export * from './dropdown/dropdown.type';
export * from './dropdown/dropdown-trigger-for.directive';
export * from './dropdown/dropdown-panel-container.component';
export * from './add-entity/report.type';

export const FORM_FIELD_TYPES = [
  PasswordType,
  PhoneNumberType,
  OdometerType,
  TextboxValidatorAsyncType,
  TextboxType,
  StepperType,
  TextareaType,
  CheckboxType,
  MultiCheckboxType,
  SelectType,
  ToggleType,
  SliderType,
  RadioType,
  TextareaType,
  CheckboxType,
  MultiCheckboxType,
  DropdownType,
  SelectType,
  ToggleType,
  StepperType,
  RepeatType,
  RepeatGridType,
  LabelType,
  ReportType,
];
