/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @angular-eslint/component-class-suffix */
import { Component, OnInit, ViewChild } from '@angular/core';
import { MatInput } from '@angular/material/input';
import { FieldArrayType, FieldType } from '@ngx-formly/core';
import { FormFieldTypeConfig } from '../../../models/forms.model';

@Component({
  selector: 'hash8-platform-repeat-grid',
  templateUrl: './repeat-grid.type.html',
  styleUrls: ['./repeat-grid.type.scss'],
})
export class RepeatGridType
  extends FieldArrayType<FormFieldTypeConfig>
  implements OnInit
{
  @ViewChild(MatInput) formFieldControl!: MatInput;

  constructor() {
    super();
  }

  ngOnInit(): void {}

  get type() {
    return this.props.type ?? 'text';
  }

  get mask() {
    return this.props['mask'] ?? '';
  }

  get prefix() {
    return this.props['prefix'] ?? '';
  }
  get separator() {
    return this.props['separator'] ?? '';
  }

  get suffix() {
    return this.props['suffix'] ?? ' mi';
  }
}
