/* eslint-disable @angular-eslint/component-class-suffix */
/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { Component, OnInit, ViewChild } from '@angular/core';
import { MatInput } from '@angular/material/input';
import { FieldArrayType, FieldType } from '@ngx-formly/core';
import { FormFieldTypeConfig } from '../../../models/forms.model';

@Component({
  selector: 'hash8-platform-repeat',
  templateUrl: './repeat.type.html',
  styleUrls: ['./repeat.type.scss'],
})
export class RepeatType extends FieldArrayType<FormFieldTypeConfig>
implements OnInit {
  @ViewChild(MatInput) formFieldControl!: MatInput;

  constructor() {
    super();
  }

  ngOnInit(): void {}

  get type() {
    return this.props.type ?? '';
  }

  get mask() {
    return this.props['mask'] ?? '';
  }

  get prefix() {
    return this.props['prefix'] ?? '';
  }

  get align() {
    return this.props['align'] ?? 'column';
  }

  get suffix() {
    return this.props['suffix'] ?? '';
  }

  get separator() {
    return this.props['separator'] ?? '';
  }
}
