/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
/* eslint-disable @angular-eslint/component-class-suffix */
import { Component, OnInit, ViewChild } from '@angular/core';
import { MatInput } from '@angular/material/input';
import { FieldType } from '@ngx-formly/core';
import { FormFieldTypeConfig } from '../../../models/forms.model';

@Component({
  selector: 'hash8-platform-textarea',
  templateUrl: './textarea.type.html',
  styleUrls: ['./textarea.type.scss'],
})
export class TextareaType
  extends FieldType<FormFieldTypeConfig>
  implements OnInit
{
  @ViewChild(MatInput) formFieldControl!: MatInput;

  constructor() {
    super();
  }

  ngOnInit(): void {}

  get type() {
    return this.props.type ?? 'textarea';
  }

  get mask() {
    return this.props['mask'] ?? '';
  }

  get prefix() {
    return this.props['prefix'] ?? '';
  }
  get separator() {
    return this.props['separator'] ?? '';
  }

  get suffix() {
    return this.props['suffix'] ?? '';
  }
}
