import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const ColorHEX = {
  name: 'color',
  config: {
    key: 'color',
    type: 'input',
    props: {
      label: 'Color',
    },
    validators: {
      validate: formValidator(FormFieldRegex.COLOR_HEX, `Enter valid color`),
    },
  },
};
