/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const DatePicker = {
  name: 'date',
  config: {
    key: 'date',
    type: 'datepicker',
    wrappers: ['panel'],
    props: {
      label: 'Date',
      align: 'column',
      thumbLabel: true,
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
      datepickerOptions: {
        datepickerTogglePosition: 'suffix',
      },
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
