/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const DecimalNumber = {
  name: 'decimal',
  config: {
    key: 'decimal',
    type: 'textbox', 
    wrappers: ['panel'],
    props: {
      label: 'Decimal Number',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: 'separator.2',
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
