/* eslint-disable @typescript-eslint/no-unused-vars */
import { formValidator } from '../validators/form-validator';
import { FormFieldRegex } from '../validators/regex.enum';

export const Repeat = {
  name: 'repeat',
  config: {
    key: 'label',
    type: 'repeatType',
    label: 'Label',
    wrappers: ['panel'],
    props: {
      label: '',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
    },
    fieldArray: {
      fieldGroupClassName: 'flex gap-3',
      fieldGroup: [],
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};

export const RepeatVertical = {
  name: 'repeat-vertical',
  config: {
    key: 'label',
    type: 'repeatType',
    wrappers: ['panel'],
    props: {
      label: '',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
    },
    fieldArray: {
      fieldGroup: [],
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};

export const RepeatGrid = {
  name: 'repeat-grid',
  config: {
    key: 'label',
    type: 'repeatGrid',
    wrappers: ['panel'],
    props: {
      label: '',
      align: 'column',
      hideLabel: false,
      required: false,
      prefix: '',
      suffix: '',
      separator: '',
      mask: '',
      addField: true,
      removeField: true,
    },
    defaultValue: ['undefined'],
    fieldArray: {
      fieldGroup: [],
    },
    extras: {
      labelOverInput: false,
      hintBelowInput: false,
    },
    validators: {},
  },
};
