/* eslint-disable @typescript-eslint/no-empty-function */
/* eslint-disable @angular-eslint/no-empty-lifecycle-method */
import { AfterViewInit, Component, OnInit } from '@angular/core';
import { GeofenceService } from '@hash8io/map-web';

@Component({
  selector: 'hash8-platform-geofence-create',
  templateUrl: './geofence-create.component.html',
  styleUrls: ['./geofence-create.component.scss'],
})
export class GeofenceCreateComponent implements OnInit, AfterViewInit {
  constructor(private geofeneceService: GeofenceService) {}

  ngOnInit(): void {}

  ngAfterViewInit(): void {
    setTimeout(() => {
      const btn = document.getElementById('createGeofenceBtn');
      btn?.click();
      this.geofeneceService.setCurrentMode('create', null);
    }, 500);
  }
}
