import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { InviteUserComponent } from './invite-user/invite-user.component';
import { InviteUserService } from './service/invite-user.service';
import { FormsWebModule } from '@hash8io/forms-web';
import { TitleModule } from '@hash8io/core-web/title';

@NgModule({
  imports: [CommonModule, FormsWebModule, TitleModule],
  declarations: [
    InviteUserComponent
  ],
  providers: [InviteUserService]
})
export class InviteUserWebModule { }
