import { Injectable } from '@angular/core';
import { DialogWebService } from '@hash8io/dialog-web';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { InviteUserComponent } from '../invite-user/invite-user.component';


@Injectable({
  providedIn: 'root'
})
export class InviteUserService {


  constructor(private dialogWebService: DialogWebService, private dialog: MatDialog) { }

  showOverlay(params: any) {
    params?.forEach((eventData: any) => {
      if (eventData?.method === "openFormDialog") {
        // console.log("Params..data", eventData?.params?.data)

        this.dialog.open(InviteUserComponent, {
          maxWidth: 600,
          autoFocus: false,
          data: eventData?.params?.data
        })
        // this.dialogWebService
        //   .openDialog({
        //     maxWidth: 600,
        //     autoFocus: false,
        //     data: params?.data,
        //   })
        //   .subscribe((result: any) => {

        //     // if (result?.state) {
        //     console.log(`Dynamic API Forms closed`, result);
        //     // }
        //   });

      }
    }
    )
  }
}
