# Hash8 Map Web

Hash8 Map Web is the integration of Google Maps into applications. Build location-based services, interactive maps, or geospatial applications.

## Installation

```bash
  npm i @hash8io/map-web
```

For Pre-release versions

```bash
  npm i @hash8io/map-web@next
```

## Changelog

### 1.2.2

- [Updated] Geofence edit and update moved to MapGeofenceForm component

### 1.2.1

- [Updated] Enabled Circle and Polygon geofences labels on above zoom level 14.
- [Added] - Added { geofenceLabelField: 'geofenceName', assetLabelField: 'reeferName', geofenceLabelVisibilityZoomLevel: 14 } options to the mapOptions for label controls

### 1.2.0

- [Added] Labels added to Markers, Circle and Polygon geofences.

### 1.1.8

- [Updated] Marker info window is changed to template

### 1.1.7

- [Updated] 'preLoadAllGeofences' api url config added to 'mapOptions'

### 1.1.6

- [Updated] Disabled Marker cluster on max zoom level from map options
- [Updated] Changed the circle and polygon shape color to green while drawing and editing
- [Updated] Separated Circle & Polygon component
- [Updated] View geofence fitbounds added

### 1.1.5

- [Updated] Center point lat,lng field changed

### 1.1.4

-[Added] Date time format conversion

### 1.1.3

- [Fixed] Map center lat lng type check added to avoid errors

### 1.1.2

- [Updated] Forms configurations moved out of library

### 1.1.1

- [Updated] Geofence name uniqueness URL updated

### 1.1.0

- [Added] Circle input added to view geofences on map [circles]=[Array]
- [Added] Polygon input added to view geofences on map [polygon]=[Array]
- [Added] Geofence input added to view both circle and polygon geofences in one array [geofences]=[Array]

### 1.0.6

- [Updated] Geofence name uniqueness URL updated

### 1.0.5

- [Updated] Updated redirect url after geofence creation

### 1.0.4

- [Fixed] Geofence form submission object updated

### 1.0.3

- [Updated] Sidenav updated for create and edit.

### 1.0.2

- [Updated] Applied map height configuration to map. Default 100%

### 1.0.1

- [Updated] Css configurations added to map options
- [Updated] Map inital load changed
- [Updated] Drawing control hidden config updated

### 1.0.0

- [Added] Added Circle Geofence and Polygon Geofence drawing tool in map
- [Added] Custom map controls (Zoom, Maptype, Drawing Tools, Redraw)
- [Added] Location search on map with autocomplete
- [Added] Added Drawing Library in google maps url
- [Added] Added Places Library in google maps url
- [Updated] Separated map controls and components
- [Updated] Updated and added new service files for mapping
- [Updated] Map marker icon svg changed
- Disable geofence side drawer close on esc.

### 0.0.7

- [Updated] Map latitude, longitude string type changed into float

### 0.0.6

- [Added] Map marker cluster

### 0.0.5

- [Added] Info window

### 0.0.4

- [Updated] Convert Map lat, lng data from string to number

### 0.0.3

- [Changed] Map marker configuration updated from application

### 0.0.2

- [Changed] Map marker configuration
