/* eslint-disable @typescript-eslint/no-empty-function */
import { Injectable } from '@angular/core';

@Injectable({ providedIn: 'root' })
export class MapControlService {
  maxZoomLevel = 20;
  minZoomLevel = 1;

  constructor() {}

  // Map type controls

  // Zoom controls
  zoomIn(value: number): number {
    if (value < this.maxZoomLevel) {
      value = value + 1;
    } else {
      value = this.maxZoomLevel; // Set the maximum zoom level to 20
    }
    return value;
  }

  zoomOut(value: number): number {
    if (value > this.minZoomLevel) {
      value = value - 1;
    } else {
      value = this.minZoomLevel; // Set the minimum zoom level to 1
    }
    return value;
  }

  // Map control
}
