import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TitleModule } from '@hash8io/core-web/title';
import { SharedModule } from '@hash8io/core-web';
import { DynamicContentWebModule } from '@hash8io/dynamic-content-web';
import { DynamicModule, DynamicIoModule } from 'ng-dynamic-component';
import { MoveEntityStoreModule } from './store';
import { MoveEntityWebComponent } from './move-entity-web.component';
import { HierarchyModule } from '@hash8io/core-web/hierarchy';
import { LoadingBarLibraryModule } from '@hash8io/core-web/loading-bar'
@NgModule({
  imports: [
    CommonModule,
    TitleModule,
    SharedModule,
    DynamicContentWebModule,
    DynamicModule,
    DynamicIoModule,
    MoveEntityStoreModule,
    HierarchyModule,
    LoadingBarLibraryModule
  ],
  declarations: [MoveEntityWebComponent],
  exports: [MoveEntityWebComponent],
})
export class MoveEntityWebModule { }
