import { createAction, props } from '@ngrx/store';

// Open Dialog
export const OPEN_MOVE_ENTITY_DIALOG = createAction(
  '[Dialog] Open move entity dialog',
  props<{ moveEntity: any }>()
);

// Close Dialog
export const CLOSE_MOVE_ENTITY_DIALOG = createAction(
  '[Dialog] Close move entity dialog',
  props<{ moveEntity: any }>()
);

// Add dialog
export const ADD_MOVE_ENTITY_DIALOG = createAction(
  '[Dialog] Add move entity dialog',
  props<{ moveEntity?: any }>()
);

// Remove dialog
export const REMOVE_MOVE_ENTITY_DIALOG = createAction(
  '[Dialog] Remove move entity dialog',
  props<{ moveEntity?: any }>()
);
