import { Component, OnInit } from '@angular/core';
import { AppStoreSelectors } from '@hash8io/core-web';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';

@Component({
  selector: 'hash8-platform-register-header',
  templateUrl: './register-header.component.html',
  styleUrls: ['./register-header.component.scss']
})
export class RegisterHeaderComponent implements OnInit {
  branding!: Observable<any>;

  constructor(private store: Store) { }
  ngOnInit(): void {
    this.branding = this.store.select(AppStoreSelectors.selectBranding);
  }
}
