import { createAction, props } from '@ngrx/store';

// Login Actions
export const REGISTER = createAction(
  '[REGISTRATION] Registration Initiated',
  props<{ user: any }>()
);

export const REGISTER_INPROGRESS = createAction(
  '[REGISTRATION] Register Inprogress',
  props<any>()
);

export const REGISTER_SUCCESS = createAction(
  '[REGISTRATION] REGISTER_SUCCESS Logged in',
  props<any>()
);

export const REGISTER_FAILED = createAction(
  '[REGISTRATION] Register Failed',
  props<any>()
);

export const REGISTER_TRIES = createAction(
  '[REGISTRATION] Register try count');



export const REGISTER_ERROR = createAction('[REGISTRATION] Registration Error');


