export const storeObj = {
  branding: {
    applicationName: 'Hash8 Platform',
    applicationShortName: 'Hash8',
    applicationTagLine: 'A one stop IoT Platform',
    apiUrl: "https://tankiq-test.rt1cloud.com/api",
    faviconUrl: 'https://hash8.io/assets/favicon.ico',
    mainLogoLight: 'https://hash8.io/assets/logo-light-120px-120px.png',
    mainLogoDark: 'https://hash8.io/assets/logo-dark-120px-120px.png',
    footerLogoLight: 'https://hash8.io/assets/logo-light-120px-120px.png',
    footerLogoDark: 'https://hash8.io/assets/logo-dark-120px-120px.png',
  },
  theme: {
    name: 'hash8-default',
    layout: 'horizontal',
    defaultMode: 'light',
    fontFamily: 'Inter',
    fontSize: '13px',
    primary: 'rgb(2,70,117)',
    accent: 'rgb(33,150,83)',
    warn: 'rgb(244,82,60)',
    primaryColor: 'blue',
    secondaryColor: 'green',
  },
  userDetails: {
    uuid: '604e349f-ce47-4f54-a347-41de0d72e94e',
    firstName: 'Jonathan',
    lastName: 'Ive',
    username: 'jonathanive',
    email: 'jonathan@autocavo.com',
    phoneNumber: "(740) 271-0643",
  },
  userDisplaySettings: {
    uuid: "22fe7aa5-e46a-4c0c-8f69-ff8a7e621352",
    dateFormat: "mm/dd/yyyy",
    dateTimeFormat: "mm/dd/yyyy hh:mm a",
    distance: "mile",
    level: "centimeter",
    temperature: "celcius",
    timeFormat: "hh:mm a",
    timeZone: "EDT",
    volume: "liter",
    weight: "kilogram"
  },
  userSettings: {
    enableDarkMode: false,
  },
  approvedApplications: [{
    name: 'Tank Management',
    targetUrl: '',
    apiUrl: '',
    type: 'link',
    iconUrl: 'layers',
    visible: true,
    clickable: true,
  },
  {
    name: 'Application Management',
    targetUrl: '',
    apiUrl: '',
    type: 'link',
    iconUrl: 'layers',
    visible: true,
    clickable: true,
  },
  {
    name: 'Organization Management',
    targetUrl: '',
    apiUrl: '',
    type: 'link',
    iconUrl: 'layers',
    visible: true,
    clickable: true,
  },
  ],
  navigationMenu: [{
    name: 'Dashboard',
    targetUrl: '/dashboard',
    apiUrl: 'v1/dashboard',
    iconUrl: 'layers',
    type: 'link',
    visible: true,
    clickable: true,
    hasSubMenu: false,
  },
  {
    name: 'Tanks',
    targetUrl: '/tanks',
    apiUrl: 'v1/tanks',
    iconUrl: 'oil_barrel',
    type: 'link',
    visible: true,
    clickable: true,
    hasSubMenu: false,
  },

  ]
};
